/* eslint-disable */
var MARKDOWN_TOC_DATA = [
  {
    "gid": 1,
    "name": "intro",
    "label": "Introduction",
    "children": [
      {
        "cid": 1,
        "sid": "feature",
        "name": "feature",
        "label": "IBTab 개요",
        "data": {
          "body": "`IB Tab`은 순수 웹 개발 환경에 가장 적합하게 설계된 Tab 컨트롤입니다. 기존에 복잡하고 많은 시간을 소요해서 만들었던 Tab의 다양한 기능을 `HTML, javascript, CSS3` 표준을 준수하여 빠르고 간편하게 만들 수 있습니다. ## 특징 ### *쉬운 테마 커스터마이징* 아래와 같은 규칙으로 `ibtab-style.css`에 추가하거나 수정합니다. 별도의 파일을 만들어서 사용해도 됩니다. `ibtab-style.css 보다 밑에 해당 스타일 시트를 추가` ```html <!DOCTYPE html> <html> <head> <script src=\"ibtab/js/ibleaders.js\"></script> <script src=\"ibtab/js/ibtabinfo.js\"></script> <script src=\"ibtab/js/ibtab.js\"></script> <link rel=\"stylesheet\" href=\"ibtab/css/font-awesome.min.css\"> <link rel=\"stylesheet\" href=\"ibtab/css/ibtab-style.min.css\"> <link rel=\"stylesheet\" href=\"ibtab/css/customizing.css\"> <script type=\"text/javascript\"> // 일반적으로 사용 시 function fnLoadPage() { // 탭 객체 생성 var tabs = document.getElementById(\"tabs\"); var contents = document.getElementById(\"contents\"); createIBTab(tabs, contents, \"myTab\", { widthTabBar:\"500px\", widthContents:\"500px\", heightContents:\"500px\", themes: { //ib-tab-tabs.ib-ExampleTheme css 적용 tabs: \"ExampleTheme\", //ib-tab-contents.ib-ExampleTheme css 적용 contents: \"ExampleTheme\", //ib-context-menu.ib-ExampleTheme css 적용 contextMenu: \"ExampleTheme\" } }); } </script> </head> <body onload=\"fnLoadPage();\"> <div id=\"tabs\"></div> <div id=\"contents\"></div> </body> </html> ``` 상위 요소(탭바, 콘텐츠, 콘텍스트메뉴)의 css 클래스명을 `ib-tab-tabs.ib-테마명`, `ib-tab-contents.ib-테마명`, `ib-tab-contextMenu.ib-테마명` 형식으로 설정합니다.</br> `※ 테마명(.ib-테마명)이 붙지 않은 클래스(코어 클래스, 하위 클래스)는 변경하지 않아도 됩니다.` ### *쉬운 객체 생성 및 동적으로 탭아이템 구성 가능* ```html <!DOCTYPE html> <html> <head> <script type=\"text/javascript\"> // 일반적인 방법 function fnLoadPage() { // 탭 객체 생성 var tabs = document.getElementById(\"tabs\"); var contents = document.getElementById(\"contents\"); createIBTab(tabs, contents, \"myTab\", { widthTabBar:\"480px\", widthContents:\"480px\", heightContents:\"400px\" }); myTab.setOptions({ tabs: [{ \"title\": \"IBTab(H) 소개\", \"style\": { \"btnClose\": true, \"icon\": { \"type\": \"none\" } } }], contents: [{ \"contents\": \"<div style='margin: 10px;'><h4>IBTab(H)</h4><p>▶ 크로스 브라우징, 크로스 플랫폼을 지원 ▶ 별도의 개발툴이 필요없고 일반적인 JavaScript를 통하여 각 기능을 설정하고 사용 가능 ▶ 웹개발자가 쉽게 이해할 수 있고 편하게 응용 가능 ▶ HTML, JavaScript, CSS3의 표준을 준수하고 Internet Explorer 환경은 10버전 부터 지원 가능 ▶ 개발 생산성을 높이고 쉽게 테마 커스터마이징이 가능 ▶ JSON을 통한 통신 방식을 사용 ▶ 메시지 파일 형식을 통한 다국어 지원 및 적용 용이 ▶ 개발자에게는 쉬운 개발을 운용자에게는 편리한 운용 방안 제공</p></div>\" }] }); /* // 동적으로 추가 하는 방법 myTab.addTab({ tabs: { \"title\": \"IBTab(H) 소개\", \"style\": { \"btnClose\": true, \"icon\": { \"type\": \"none\" } } }, contents: { \"contents\": \"<div style='margin: 10px;'><h4>IBTab(H)</h4><p>▶ 크로스 브라우징, 크로스 플랫폼을 지원 ▶ 별도의 개발툴이 필요없고 일반적인 JavaScript를 통하여 각 기능을 설정하고 사용 가능 ▶ 웹개발자가 쉽게 이해할 수 있고 편하게 응용 가능 ▶ HTML, JavaScript, CSS3의 표준을 준수하고 Internet Explorer 환경은 10버전 부터 지원 가능 ▶ 개발 생산성을 높이고 쉽게 테마 커스터마이징이 가능 ▶ JSON을 통한 통신 방식을 사용 ▶ 메시지 파일 형식을 통한 다국어 지원 및 적용 용이 ▶ 개발자에게는 쉬운 개발을 운용자에게는 편리한 운용 방안 제공</p></div>\" } }); */ } </script> </head> <body onload=\"fnLoadPage();\"> <div id=\"tabs\"></div> <div id=\"contents\"></div> </body> </html> ``` 실행결과 </br> ![s](/assets/imgs/ibtab-feature.png) ### *javascript 함수로 각종 기능 버튼 생성 및 처리 작업 개발 용이* ```html <!DOCTYPE html> <html> <head> <script type=\"text/javascript\"> function doAction(sAction) { switch(sAction) { case \"addTab\": var next = myTab.tabs.getCountTab(); addTab({ tabs: { title: \"TAB\"+next }, contents: { type: \"iframe\", contents: \"./tabpage.jsp?pageName=\"+next+\"\" } }); break; case \"removeAll\": myTab.removeTabAll(); break; } } </script> </head> <body> <input type=\"button\" class=\"button\" value=\"addTab\" onClick=\"doAction('addTab');\"> <input type=\"button\" class=\"button\" value=\"removeAll\" onClick=\"doAction('removeAll');\"> </body> </html> ``` ### *다국어 지원 및 적용* 사용자가 언어 설정을 할 수 있도록 언어 설정 상수를 제공합니다. `IBTABLANG`</br> ibtabinfo.js에서 메시지 관련 정보를 추가 및 변경 할 수 있습니다. `IBTABLANG.언어코드.tab` : 탭 표현에 사용되는 언어 설정 (object)</br> `IBTABLANG.언어코드.alert` : 데이터 오류나 사용자에게 경고 표시를 위한 언어 설정 (object)</br> `IBTABLANG.언어코드.text` : tab, alert 이외의 자유롭게 사용하는 문자열을 위한 언어 설정 (object) ```html <script type=\"text/javascript\"> myTab.getLang(); //IBTab에 설정된 언어코드를 반환 myTab.setLang(\"kr\"); //IBTab에 언어코드를 설정 </script> ```"
        },
        "url": "docs/intro/feature.html"
      },
      {
        "cid": 2,
        "sid": "files",
        "name": "files",
        "label": "IBTab 구성",
        "data": {
          "body": "## IBTab 제품은 아래와 같은 파일, 폴더로 구성되어 있습니다. ``` ├─ js // js 폴더 │ ├─ ibleaders.js // IB Sheet 7 제품군 공통 js 파일 │ ├─ ibtab.js // IB Tab 엔진 js 파일 │ └─ ibtabinfo.js // IB Tab 생성 함수 및 개발시 유용하게 사용할 수 있는 함수, 메시지 관련 정보 js 파일 │ └─ css // css 폴더 │ ├─ ibtab-style.css // IB Tab 관련 css 파일 │ ├─ ibtab-style.min.css // IBTab 관련 css 경량화 파일 │ ├─ font-awesome.css // font-awesome 관련 css 파일 │ └─ font-awesome.min.css // font-awesome 관련 css 경량화 파일 │ │ └─ fonts ─ font-awesome // font-awesome 백터 아이콘 글꼴 파일 디렉토리 (css 디렉토리와 같은 레벨에 있어야 합니다.) ``` #### Example ```html <link rel=\"stylesheet\" href=\"./css/font-awesome.min.css\"> <link rel=\"stylesheet\" href=\"./css/ibtab-style.css\"> <script language=\"javascript\" src=\"./js/ibleaders.js\"></script> <script language=\"javascript\" src=\"./js/ibtab.js\"></script> <script language=\"javascript\" src=\"./js/ibtabinfo.js\"></script> ```"
        },
        "url": "docs/intro/files.html"
      }
    ]
  },
  {
    "gid": 2,
    "name": "start",
    "label": "Getting Started",
    "children": [
      {
        "cid": 4,
        "sid": "quick-start",
        "name": "quick-start",
        "label": "Quick Start",
        "data": {
          "body": "## IBTab 설치 `IB Tab`을 활용하여 구현 할 HTML 페이지 내에 다음 5가지 파일을 추가합니다. `IE 10 이상 지원` ```html <link rel=\"stylesheet\" href=\"./css/font-awesome.min.css\"> <link rel=\"stylesheet\" href=\"./css/ibtab-style.css\"> <script language=\"javascript\" src=\"./js/ibleaders.js\"></script> <script language=\"javascript\" src=\"./js/ibtab.js\"></script> <script language=\"javascript\" src=\"./js/ibtabinfo.js\"></script> ``` ## IBTab 객체 생성 IB Tab의 객체 생성은 2가지 방법으로 생성할 수 있습니다. 1. `미리 구성된 DOM`을 이용하는 방법 `createIBTab`</br> 미리 구성된 탭바 (탭아이템, 사용자정의 메뉴) 콘텐츠를 이용해서 IBTab(H) 객체가 생성됩니다. `계층과 클래스명을 더 명확히 해주어야 합니다.`</br> 탭아이템 : `ib-tab-tabs > ib-tab-tabs-item > [ib-tab-tabs-item__link > ib-tab-tabs-item__title]`</br> 사용자정의 영역 : `ib-tab-tabs > ib-tab-cus`</br> 콘텐츠 : `ib-tab-contents > [ib-tab-contents__item]` ```html <!DOCTYPE html> <html> <head> <script src=\"ibtab/js/ibleaders.js\"></script> <script src=\"ibtab/js/ibtabinfo.js\"></script> <script src=\"ibtab/js/ibtab.js\"></script> <link rel=\"stylesheet\" href=\"ibtab/css/font-awesome.min.css\"> <link rel=\"stylesheet\" href=\"ibtab/css/ibtab-style.min.css\"> <script type=\"text/javascript\" charset=\"utf-8\"> function fnLoadPage() { var tabBar = document.getElementById(\"tab\"), contents = document.getElementById(\"tab_contents\"); createIBTab(tabBar,contents,\"myTabs\",{ widthTabBar: \"100%\", widthContents: \"100%\", allowCloseBTN: false }); } </script> </head> <body onload=\"fnLoadPage()\"> <div id=\"tab\" class=\"ib-tab-tabs\"> <div class=\"ib-tab-tabs-item\"> <a class=\"ib-tab-tabs-item__link\"> <span class=\"ib-tab-tabs-item__title\">Tab1</span> </a> <a class=\"ib-tab-tabs-item__link\"> <span class=\"ib-tab-tabs-item__title\">Tab2</span> </a> <a href=\"http://www.naver.com\" target=\"_blank\" class=\"ib-tab-tabs-item__link\"> <span class=\"ib-tab-tabs-item__title\">Link</span> <i class=\"fa fa-close\"></i> </a> </div> </div> <div id=\"tab_contents\" class=\"ib-tab-contents\"> <div class=\"ib-tab-contents__item\"> <h2>Tab1</h2> <p><a href=\"javascript:void(0);\">Tab1</a> ipsum dolor sit amet, consectetur adipisicing elit. Ipsam quo minus voluptate unde tempore eveniet consequuntur in, quod animi libero rem similique pariatur quos, et eum nisi ducimus, architecto voluptatibus!</p> <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Iusto aspernatur natus dolorem fuga cumque optio saepe corrupti earum. Ipsam quaerat asperiores similique omnis excepturi temporibus ab eum magnam ipsa, odio.</p> </div> <div class=\"ib-tab-contents__item\"> <h2>Tab2</h2> <p>Tab2 ipsum dolor sit amet, consectetur adipisicing elit. Ipsam quo minus voluptate unde tempore eveniet consequuntur in, quod animi libero rem similique pariatur quos, et eum nisi ducimus, architecto voluptatibus!</p> </div> </div> </body> </html> ``` 2. 컨테이너로 사용할 특정 `div`엘리먼트를 이용해 탭을 생성하는 방법 `createTab, setOptions` 해당 div 엘리먼트를 컨테이너로 하는 IBTab 객체가 생성됩니다. ```html <!DOCTYPE html> <html> <head> <script src=\"ibtab/js/ibleaders.js\"></script> <script src=\"ibtab/js/ibtabinfo.js\"></script> <script src=\"ibtab/js/ibtab.js\"></script> <link rel=\"stylesheet\" href=\"ibtab/css/font-awesome.min.css\"> <link rel=\"stylesheet\" href=\"ibtab/css/ibtab-style.min.css\"> <script type=\"text/javascript\" charset=\"utf-8\"> function fnLoadPage() { var tabBar = document.getElementById(\"tab\"), contents = document.getElementById(\"tab_contents\"); createIBTab(tabBar,contents,\"myTabs\",{ widthTabBar: \"100%\", widthContents: \"100%\" }); myTabs.setOptions({ tabs: [{ title: \"Tab1\", style: { btnClose: false, icon: { type: \"none\" } } },{ title: \"Tab2\", style: { btnClose: false, icon: { type: \"none\" } } },{ title: \"Link\", type: \"link\", style: { icon: { type: \"none\" } }, link: { url: \"http://www.naver.com\", target: \"_blank\" } }], contents: [{ contents: \"<h2>Tab1</h2><p><a href=\\\"javascript:void(0);\\\">Tab1</a> ipsum dolor sit amet, consectetur adipisicing elit. Ipsam quo minus voluptate unde tempore eveniet consequuntur in, quod animi libero rem similique pariatur quos, et eum nisi ducimus, architecto voluptatibus!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Iusto aspernatur natus dolorem fuga cumque optio saepe corrupti earum. Ipsam quaerat asperiores similique omnis excepturi temporibus ab eum magnam ipsa, odio.</p>\" },{ contents: \"<h2>Tab2</h2><p>Tab2 ipsum dolor sit amet, consectetur adipisicing elit. Ipsam quo minus voluptate unde tempore eveniet consequuntur in, quod animi libero rem similique pariatur quos, et eum nisi ducimus, architecto voluptatibus!</p>\" }] }); } </script> </head> <body onload=\"fnLoadPage()\"> <div id=\"tab\"></div> <div id=\"tab_contents\"></div> </body> </html> ``` ## 탭 객체 초기화 IB Tab의 초기화 설정은 `setOptions` 메소드를 이용하여 설정합니다. ```html <!DOCTYPE html> <html> <head> <script src=\"ibtab/js/ibleaders.js\"></script> <script src=\"ibtab/js/ibtabinfo.js\"></script> <script src=\"ibtab/js/ibtab.js\"></script> <link rel=\"stylesheet\" href=\"ibtab/css/font-awesome.min.css\"> <link rel=\"stylesheet\" href=\"ibtab/css/ibtab-style.min.css\"> <script type=\"text/javascript\" charset=\"utf-8\"> function fnLoadPage() { var tabBar = document.getElementById(\"tab\"), contents = document.getElementById(\"tab_contents\"); createIBTab(tabBar,contents,\"myTabs\"); } </script> </head> <body onload=\"fnLoadPage()\"> <div id=\"tab\"></div> <div id=\"tab_contents\"></div> </body> </html> ``` `주의` IB Tab은 데이터가 입력되지 않으면 모든 요소가 표현되지 않습니다."
        },
        "url": "docs/start/quick-start.html"
      },
      {
        "cid": 3,
        "sid": "props",
        "name": "props",
        "label": "속성에 대한 이해",
        "data": {
          "body": "## 탭 아이템(tabs) 속성 >`setOptions`의 `tabs` 속성을 이용하여 정의 합니다.</br> 이 속성에서는 탭 유형, 탭의 배경색 등을 정의할 수 있습니다. ### tabs Info |name|type|required(default)|description| |---|---|---|---| |type|`string`|<span class='optional'>선택(tab)</span>|탭아이템의 유형| |title|`string`|<span class='optional'>선택(Title)</span>|탭아이템의 제목| |id|`string`|<span class='optional'>선택(\"탭id_tabs-생성 순서\")</span>|탭아이템의 id값| |hold|`boolean`|<span class='optional'>선택(false)</span>|탭아이템의 고정 유무| |enable|`boolean`|<span class='optional'>선택(true)</span>|탭아이템 활성화 유무| |isContents|`boolean`|<span class='optional'>선택(true)</span>|탭아이템의 콘텐츠 유무| |link|`object`|<span class='optional'>선택</span>|탭아이템의 링크 설정| |style|`object`|<span class='optional'>선택</span>|탭아이템 스타일 설정 `테마설정보다 우선`| |focus|`boolean`|<span class='optional'>선택(false)</span>|탭아이템 추가하고 탭으로 이동(addTab 메소드만)| ## 콘텐츠 아이템(contents) 속성 >`setOptions`의 `contents` 속성을 이용하여 정의 합니다.</br> 이 속성에서는 콘텐츠 유형, 콘텐츠의 배경색 등을 정의할 수 있습니다. > ### contents Info |name|type|required(default)|description| |---|---|---|---| |contents|`string`|<span class='optional'>선택</span>|콘텐츠 아이템의 내용| |id|`string`|<span class='optional'>선택(\"탭id_contents-생성 순서\")</span>|콘텐츠 아이템의 id</br>![s](/assets/imgs/ibtab-contentsid1.png)| |preLoad|`boolean`|<span class='optional'>선택(true)</span>|탭 생성시 콘텐츠 아이템 로드 여부| |style|`object`|<span class='optional'>선택</span>|콘텐츠아이템 스타일 설정 `테마설정보다 우선`| |type|`string`|<span class='optional'>선택(code)</span>|콘텐츠 아이템의 유형| ## 콘텍스트메뉴(contextMenu) 속성 > 콘텍스트메뉴는 탭아이템 위에서 마우스 오른쪽 버튼을 클릭하면 나타나는 팝업레이어입니다.</br> > 콘텍스트메뉴에는 탭 닫기, 탭 비활성화, 탭 고정 등 여러 기능을 모아 쉽게 접근할 수 있습니다.</br> > `setOptions`의 `contents` 속성을 이용하여 콘텍스트메뉴 리스트, 콘텍스트메뉴 사용여부를 정의할 수 있습니다. ### contextMenu Info |name|type|required(default)|description| |---|---|---|---| |`menu`|`array<string>`|<span class='optional'>선택</span>|콘텍스트메뉴 구성순서 (구분선 : `|`)| |`enable`|`boolean`|<span class='optional'>선택(true)</span>|콘텍스트메뉴 사용 여부| ## 사용자정의(customZone) 속성 > 사용자정의 영역은 사용자가 탭 바에서 탭아이템 이외의 다른 HTML 요소를 임의로 설정할 수 있는 별도의 영역입니다.</br> 사용자정의 영역 속성 설정은 `setOptions`의 `customZone` 속성을 이용하여 정의 합니다. > ### customZone Info |name|type|required(default)|description| |---|---|---|---| |`contents`|`string`|<span class='optional'>선택</span>|사용자정의 영역에 표시될 HTML tag| |`width`|`string`|<span class='optional'>선택(300px)</span>|사용자정의 영역의 최대 넓이| ## 테마(themes) 속성 > `setOptions`의 `themes` 속성을 이용하여 정의 합니다.</br> 이 속성에서는 탭바영역, 콘텐츠영역, 콘텍스트메뉴 테마를 정의 합니다. > ### themes Info |name|type|required(default)|description| |---|---|---|---| |tabs|`string`|<span class='optional'>선택(classic_blue)</span>|탭바의 테마를 설정| |contents|`string`|<span class='optional'>선택(classic_blue)</span>|콘텐츠영역의 테마를 설정| |contextMenu|`string`|<span class='optional'>선택(classic_blue)</span>|콘텍스트메뉴의 테마를 설정| ## 탭바 요소 순서(layout) 속성 > `setOptions`의 `layout` 속성을 이용하여 정의 합니다.</br> 이 속성은 탭아이템, 콘텐츠아이템 속성의 style과 연관이 있습니다. > ## 스타일(style) 속성 > 탭아이템과 콘텐츠아이템의 style 속성에는 비슷한 점이 많습니다. (구조와 속성이름이 같음)</br> 탭아이템에는 disable 속성이 별도로 존재합니다.</br> style 속성 설정은 `setOptions`의 `tabs, contents` 의 하위 속성으로 정의 합니다. > ### style Info |name|type|required(default)|description| |---|---|---|---| |background|`object`|<span class='optional'>선택</span>|탭아이템 배경 속성| |border|`object`|<span class='optional'>선택</span>|탭아이템 윤곽선 속성| |font|`object`|<span class='optional'>선택</span>|탭아이템 글씨 속성| ## 탭 이벤트(events) 속성 > `setOptions`의 `events` 속성을 이용하여 정의 합니다.</br> 이벤트 추가는 `setEventListener` 와 `setEvents` method를 통해 추가 합니다. >"
        },
        "url": "docs/start/props.html"
      }
    ]
  },
  {
    "gid": 3,
    "name": "props",
    "label": "Properties",
    "children": [
      {
        "gid": 1,
        "name": "props-tab",
        "label": "tabs",
        "children": [
          {
            "cid": 5,
            "sid": "enable",
            "name": "enable",
            "label": "enable",
            "data": {
              "body": "> 탭 아이템의 활성화 유무를 설정할 수 있습니다. ### Info |name|type|required(default)|description| |---|---|---|---| |enable|`boolean`|<span class='optional'>선택(true)</span>|탭아이템 활성화 유무| ### Example ```javascript //탭 기본 속성 설정 myTab.setOptions({ tabs : [{ enable : true }] }); ``` ![s](/assets/imgs/ibtab-enable.png) ### 제공 버전 |version|desc| |---|---| |7.3.0.0||"
            },
            "url": "docs/props/tab/enable.html"
          },
          {
            "cid": 6,
            "sid": "hold",
            "name": "hold",
            "label": "hold",
            "data": {
              "body": "> 탭 아이템의 고정 유무를 설정할 수 있습니다. ### Info |name|type|required(default)|description| |---|---|---|---| |hold|`boolean`|<span class='optional'>선택(false)</span>|탭아이템의 고정 유무| ### Example ```javascript //탭 기본 속성 설정 myTab.setOptions({ tabs : [{ hold : true }] }); ``` ![s](/assets/imgs/ibtab-hold.png) ### 제공 버전 |version|desc| |---|---| |7.3.0.0||"
            },
            "url": "docs/props/tab/hold.html"
          },
          {
            "cid": 7,
            "sid": "id",
            "name": "id",
            "label": "id",
            "data": {
              "body": "> 탭 아이템의 id를 설정할 수 있습니다. ### Info |name|type|required(default)|description| |---|---|---|---| |id|`string`|<span class='optional'>선택(\"탭id_tabs-생성 순서\")</span>|![s](/assets/imgs/ibtab-id1.png)| ### Enum - 하위 요소 id 규칙 |value|description| |---|---| |`탭아이템의id-icon`|아이콘 id(아이콘 타입을 image로 사용시 나타난 이미지 id)</br>![s](/assets/imgs/ibtab-id2.png)| |`탭아이템의id-title`|제목 id</br>![s](/assets/imgs/ibtab-id3.png)| |`탭아이템의id-hold`|고정아이콘 id</br>![s](/assets/imgs/ibtab-id4.png)| |`탭아이템의id-close`|닫기버튼 id</br>![s](/assets/imgs/ibtab-id5.png)| ### Example ```javascript //탭 기본 속성 설정 myTab.setOptions({ tabs : [{ id : \"BZLT-00\" }] }); ``` ### 제공 버전 |version|desc| |---|---| |7.3.0.0|| |7.3.0.1|하위 요소 id 규칙 추가|"
            },
            "url": "docs/props/tab/id.html"
          },
          {
            "cid": 8,
            "sid": "isContents",
            "name": "isContents",
            "label": "isContents",
            "data": {
              "body": "> 탭 아이템의 콘텐츠 유무를 설정할 수 있습니다. ### Info |name|type|required(default)|description| |---|---|---|---| |isContents|`boolean`|<span class='optional'>선택(true)</span>|탭아이템의 콘텐츠 유무| ### Example ```javascript //탭 기본 속성 설정 myTab.setOptions({ tabs : [{ isContents : true }] }); ``` ### 제공 버전 |version|desc| |---|---| |7.3.0.0||"
            },
            "url": "docs/props/tab/isContents.html"
          },
          {
            "cid": 9,
            "sid": "link",
            "name": "link",
            "label": "link",
            "data": {
              "body": "> 탭 아이템의 유형을 설정할 수 있습니다. ### Info |name|type|required(default)|description| |---|---|---|---| |link|`object`|<span class='optional'>선택</span>|탭아이템의 링크 설정| |link.url|`string`|<span class='optional'>선택</span>|링크 URL| |link.target|`string`|<span class='optional'>선택(_blank)</span>|링크의 타겟| ### Enum - Link.target |value|description| |---|---| |`_blank`|새창으로 링크 열기| |`_self`|현재 창에서 링크 열기| ### Example ```javascript //탭 기본 속성 설정 myTab.setOptions({ tabs : [{ link : { url : \"http://www.ibsheet.com\", target : \"_blank\" } }] }); ``` ![s](/assets/imgs/ibtab-link1.png) ### 제공 버전 |version|desc| |---|---| |7.3.0.0||"
            },
            "url": "docs/props/tab/link.html"
          },
          {
            "cid": 10,
            "sid": "style",
            "name": "style",
            "label": "style",
            "data": {
              "body": "> 탭 아이템의 개별 스타일을 설정할 수 있습니다. ([layout 설정 참조](/docs/props/tabBar/layout.md)) ### Info |name|type|required(default)|description| |---|---|---|---| |layout|`array<string>`|<span class='optional'>선택([\"icon\",\"hold\",\"title\",\"close\"])</span>|탭아이템 요소의 순서 설정| |icon|`object`|<span class='optional'>선택</span>|탭아이템의 아이콘 속성| |icon.type|`string`|<span class='optional'>선택(fa)</span>|탭아이템의 아이콘 종류| |icon.value|`string`|<span class='optional'>선택</span>|탭아이템 아이콘 이름(Font Awesome class name)이나 이미지 주소(절대경로 혹은 상대경로)| |btnClose|`boolean`|<span class='optional'>선택(true)</span>|탭아이템의 닫기 버튼 유무| |width|`string`|<span class='optional'>선택</span>|탭아이템의 너비 설정| |height|`string`|<span class='optional'>선택</span>|탭아이템의 높이 설정| |background|`object`|<span class='optional'>선택</span>|탭아이템 배경 속성| |border|`object`|<span class='optional'>선택</span>|탭아이템 윤곽선 속성| |font|`object`|<span class='optional'>선택</span>|탭아이템의 글씨 설정| |visible|`boolean`|<span class='optional'>선택(true)</span>|탭아이템 보이기 여부| ### Enum - layout |value|description| |---|---| |`close`|닫기 버튼| |`icon`|아이콘| |`hold`|고정 아이콘| |`title`|탭 유형을 링크로 설정| - icon.type |value|description| |---|---| |`fa`|Font Awesome 사용| |`image`|이미지 사용| |`none`|고정 아이콘| ### Example ```javascript //탭 기본 속성 설정 myTab.setOptions({ tabs : [{ type : \"tab\", //탭 유형 설정 style : { icon: { type: \"none\" // 탭 아이콘 유형 설정 } } }] }); ``` ![s](/assets/imgs/ibtab.png) ### 제공 버전 |version|desc| |---|---| |7.3.0.0||"
            },
            "url": "docs/props/tab/style.html"
          },
          {
            "cid": 11,
            "sid": "title",
            "name": "title",
            "label": "title",
            "data": {
              "body": "> 탭 아이템의 제목을 설정할 수 있습니다. ### Info |name|type|required(default)|description| |---|---|---|---| |title|`string`|<span class='optional'>선택(Title)</span>|탭아이템의 제목| ### Example ```javascript //탭 기본 속성 설정 myTab.setOptions({ tabs : [{ title : \"IBTab(H)소개\" //탭 제목 설정 }] }); ``` ![s](/assets/imgs/ibtab-title.png) ### 제공 버전 |version|desc| |---|---| |7.3.0.0||"
            },
            "url": "docs/props/tab/title.html"
          },
          {
            "cid": 12,
            "sid": "type",
            "name": "type",
            "label": "type",
            "data": {
              "body": "> 탭 아이템의 유형을 설정할 수 있습니다. ### Info |name|type|required(default)|description| |---|---|---|---| |type|`string`|<span class='optional'>선택(tab)</span>|탭아이템의 유형| ### Enum - type |value|description| |---|---| |`tab`|탭 유형을 탭과 콘텐츠로 설정| |`link`|탭 유형을 링크로 설정| ### Example ```javascript //탭 기본 속성 설정 myTab.setOptions({ tabs : [{ type : \"tab\", //탭 유형 설정 style : { icon: { type: \"none\" // 탭 아이콘 유형 설정 } } }] }); ``` ![s](/assets/imgs/ibtab.png) ### 제공 버전 |version|desc| |---|---| |7.3.0.0||"
            },
            "url": "docs/props/tab/type.html"
          }
        ]
      },
      {
        "gid": 2,
        "name": "props-contents",
        "label": "contents",
        "children": [
          {
            "cid": 13,
            "sid": "contents",
            "name": "contents",
            "label": "contents",
            "data": {
              "body": "> 콘텐츠 아이템의 내용을 설정할 수 있습니다. ### Info |name|type|required(default)|description| |---|---|---|---| |contents|`string`|<span class='optional'>선택</span>|콘텐츠 아이템의 내용| ### Example ```javascript //탭 기본 속성 설정 myTab.setOptions({ contents : [{ contents : \"<div style='margin: 10px;'><h4>IBTab(H)</h4><p>▶ 크로스 브라우징, 크로스 플랫폼을 지원 ▶ 별도의 개발툴이 필요없고 일반적인 JavaScript를 통하여 각 기능을 설정하고 사용 가능 ▶ 웹개발자가 쉽게 이해할 수 있고 편하게 응용 가능 ▶ HTML, JavaScript, CSS3의 표준을 준수하고 Internet Explorer 환경은 10버전 부터 지원 가능 ▶ 개발 생산성을 높이고 쉽게 테마 커스터마이징이 가능 ▶ JSON을 통한 통신 방식을 사용 ▶ 메시지 파일 형식을 통한 다국어 지원 및 적용 용이 ▶ 개발자에게는 쉬운 개발을 운용자에게는 편리한 운용 방안 제공</p></div>\" }] }); ``` ![s](/assets/imgs/ibtab-link1.png) ### 제공 버전 |version|desc| |---|---| |7.3.0.0||"
            },
            "url": "docs/props/contents/contents.html"
          },
          {
            "cid": 14,
            "sid": "id-2",
            "name": "id",
            "label": "id",
            "data": {
              "body": "> 콘텐츠 아이템의 id를 설정할 수 있습니다. ### Info |name|type|required(default)|description| |---|---|---|---| |id|`string`|<span class='optional'>선택(\"탭id_contents-생성 순서\")</span>|콘텐츠 아이템의 id</br>![s](/assets/imgs/ibtab-contentsid1.png)| ### Enum - type이 iframe인 콘텐츠 아이템의 하위 요소 id 규칙 |value|description| |---|---| |`콘텐츠 아이템의 id-iframe`|iframe id</br>![s](/assets/imgs/ibtab-contentsid2.png)| ### Example ```javascript //탭 기본 속성 설정 myTab.setOptions({ contents : [{ id : \"BZLC-00\" }] }); ``` ![s](/assets/imgs/ibtab-link1.png) ### 제공 버전 |version|desc| |---|---| |7.3.0.0|| |7.3.0.1|하위 요소 id 규칙 추가(iframe)|"
            },
            "url": "docs/props/contents/id.html"
          },
          {
            "cid": 15,
            "sid": "preLoad",
            "name": "preLoad",
            "label": "preLoad",
            "data": {
              "body": "> 콘텐츠 아이템의 로드 방식을 설정할 수 있습니다. ### Info |name|type|required(default)|description| |---|---|---|---| |preLoad|`boolean`|<span class='optional'>선택(true)</span>|탭 생성시 콘텐츠 아이템 로드 여부| ### Enum - Link.target |value|description| |---|---| |`_blank`|새창으로 링크 열기| |`_self`|현재 창에서 링크 열기| ### Example ```javascript //탭 기본 속성 설정 myTab.setOptions({ contents : [{ preLoad : true }] }); ``` ### 제공 버전 |version|desc| |---|---| |7.3.0.0||"
            },
            "url": "docs/props/contents/preLoad.html"
          },
          {
            "cid": 16,
            "sid": "style-2",
            "name": "style",
            "label": "style",
            "data": {
              "body": "> 콘텐츠 아이템의 개별 스타일을 설정할 수 있습니다. (layout 설정 참조) ### Info |name|type|required(default)|description| |---|---|---|---| |background|`object`|<span class='optional'>선택</span>|콘텐츠 아이템의 배경 속성| |border|`object`|<span class='optional'>선택</span>|콘텐츠 아이템의 윤곽선 속성| |font|`object`|<span class='optional'>선택</span>|콘텐츠 아이템의 글씨 설정| |view|`string`|<span class='optional'>선택(\"fit\")</span>|콘텐츠 아이템 채우기 속성| ### Enum - view |value|description| |---|---| |`fit`|콘텐츠를 꽉 채움| |`auto`|border 값에 따라 자동으로 설정| ### 제공 버전 |version|desc| |---|---| |7.3.0.0||"
            },
            "url": "docs/props/contents/style.html"
          },
          {
            "cid": 17,
            "sid": "type-2",
            "name": "type",
            "label": "type",
            "data": {
              "body": "> 콘텐츠 아이템의 유형을 설정할 수 있습니다. ### Info |name|type|required(default)|description| |---|---|---|---| |type|`string`|<span class='optional'>선택(code)</span>|콘텐츠 아이템의 유형| ### Enum - type |value|description| |---|---| |`code`|콘텐츠 유형을 HTML code로 설정| |`iframe`|콘텐츠 유형을 iframe으로 설정| ### Example ```javascript //탭 기본 속성 설정 myTab.setOptions({ contents : [{ type : \"code\" // 유형 설정 }); ``` ### 제공 버전 |version|desc| |---|---| |7.3.0.0||"
            },
            "url": "docs/props/contents/type.html"
          }
        ]
      },
      {
        "gid": 3,
        "name": "props-contextMenu",
        "label": "contextMenu",
        "children": [
          {
            "cid": 18,
            "sid": "enable-2",
            "name": "enable",
            "label": "enable",
            "data": {
              "body": "> 콘텍스트 메뉴의 사용여부를 설정 할 수 있습니다. ### Info |name|type|required(default)|description| |---|---|---|---| |enable|`boolean`|<span class='optional'>선택(true)</span>|콘텍스트메뉴 사용 여부| ### Enum - enable |value|description| |---|---| |`true`|콘텍스트메뉴 사용| |`false`|브라우저 기본 콘텍스트메뉴 사용| ### Example ```javascript //탭 기본 속성 설정 myTab.setOptions({ contextMenu : { enable : false //콘텍스트메뉴 사용 안함 설정 } }); ``` ### 제공 버전 |version|desc| |---|---| |7.3.0.0||"
            },
            "url": "docs/props/contextMenu/enable.html"
          },
          {
            "cid": 19,
            "sid": "menu",
            "name": "menu",
            "label": "menu",
            "data": {
              "body": "> 콘텍스트 메뉴의 메뉴리스트를 설정 할 수 있습니다. ### Info |name|type|required(default)|description| |---|---|---|---| |menu|`array<string>`|<span class='optional'>선택</span>|콘텍스트메뉴 구성 순서| ### Enum - menu |value|description| |---|---| |`|`|구분선| |`clsTT`|탭 닫기| |`clsAT`|모든 탭 닫기| |`clsRT`|현재 탭 오른쪽 모두 닫기| |`clsLT`|현재 탭 왼쪽 모두 닫기| |`clsATET`|현재 탭 제외하고 모두 닫기| |`dsaTT`|탭 비활성화| |`dsaAT`|모든 탭 비활성화| |`enaAT`|모든 탭 활성화| |`hidTT`|탭 숨기기| |`hidAT`|모든 탭 숨기기| |`shwAT`|모든 탭 보이기| |`hidTT`|탭 고정| |`hidAT`|모든 탭 고정| |`rlsTT`|탭 고정해제| |`rlsAT`|모든 탭 고정해제| ### Example ```javascript //탭 기본 속성 설정 myTab.setOptions({ contextMenu : { menu : [ \"clsTT\",\"clsAT\",\"clsRT\",\"clsLT\",\"clsATET\",\"|\",\"dsaTT\", \"dsAT\",\"enaAT\",\"|\",\"hidTT\",\"hidAT\",\"shwAT\",\"|\",\"hldTT\", \"hldAT\",\"rlsTT\",\"rlsAT\" ] } }); ``` ![s](/assets/imgs/ibtab-contextMenu.png) ### 제공 버전 |version|desc| |---|---| |7.3.0.0||"
            },
            "url": "docs/props/contextMenu/menu.html"
          }
        ]
      },
      {
        "gid": 4,
        "name": "props-customZone",
        "label": "customZone",
        "children": [
          {
            "cid": 20,
            "sid": "contents-2",
            "name": "contents",
            "label": "contents",
            "data": {
              "body": "> 사용자정의 영역에 HTML tag를 설정 할 수 있습니다. ### Info |name|type|required(default)|description| |---|---|---|---| |contents|`string`|<span class='optional'>선택</span>|사용자정의 영역에 표시될 HTML tag| ### Example ```javascript //탭 기본 속성 설정 myTab.setOptions({ customZone : { contents : \"<div>사용자 정의 영역</div>\" } }); ``` ![s](/assets/imgs/ibtab-customZone1.png) ### 제공 버전 |version|desc| |---|---| |7.3.0.0||"
            },
            "url": "docs/props/customZone/contents.html"
          },
          {
            "cid": 21,
            "sid": "width",
            "name": "width",
            "label": "width",
            "data": {
              "body": "> 사용자정의 영역의 최대 너비를 설정 할 수 있습니다. ### Info |name|type|required(default)|description| |---|---|---|---| |width|`string`|<span class='optional'>선택(300px)</span>|사용자정의 영역의 최대 너비| ### Example ```javascript //탭 기본 속성 설정 myTab.setOptions({ customZone : { width : \"100px\" } }); ``` ### 제공 버전 |version|desc| |---|---| |7.3.0.0||"
            },
            "url": "docs/props/customZone/width.html"
          }
        ]
      },
      {
        "gid": 5,
        "name": "props-themes",
        "label": "themes",
        "children": [
          {
            "cid": 22,
            "sid": "themes",
            "name": "themes",
            "label": "themes",
            "data": {
              "body": "> 이 속성에서는 탭바 영역, 콘텐츠 영역, 그리고 콘텍스트메뉴의 테마를 정의 할 수 있습니다. ### Info |name|type|required(default)|description| |---|---|---|---| |tabs|`string`|<span class='optional'>선택(classic_blue)</span>|탭바의 테마를 설정| |contents|`string`|<span class='optional'>선택(classic_blue)</span>|콘텐츠영역의 테마를 설정| |contextMenu|`string`|<span class='optional'>선택(classic_blue)</span>|콘텍스트메뉴의 테마를 설정| ### Enum - 기본 테마 세트 |value|description| |---|---| |`classic_blue`|![s](/assets/imgs/ibtab-themes_classicblue.png)| |`classic_red`|![s](/assets/imgs/ibtab-themes_classicred.png)| |`bootstrap_blue`|![s](/assets/imgs/ibtab-themes_bootstrapblue.png)| |`simple_blue`|![s](/assets/imgs/ibtab-themes_simpleblue.png)| |`simple_under_blue`|![s](/assets/imgs/ibtab-themes_simpleunderblue.png)| |`material_black`|![s](/assets/imgs/ibtab-themes_materialblack.png)| |`flat_blue`|![s](/assets/imgs/ibtab-themes_flatblue.png)| |`flat_old`|![s](/assets/imgs/ibtab-themes_flatold.png)| ### Example ```javascript //탭 기본 속성 설정 myTab.setOptions({ themes : { tabs : \"classic_red\", contents : \"classic_red\", contextMenu : \"classic_red\" }, customZone : { contents : \"<div>사용자 정의 영역</div>\" } }); ``` ![s](/assets/imgs/ibtab-themes_example.png) ### 제공 버전 |version|desc| |---|---| |7.3.0.0||"
            },
            "url": "docs/props/themes/themes.html"
          }
        ]
      },
      {
        "gid": 6,
        "name": "props-tabBar",
        "label": "layout",
        "children": [
          {
            "cid": 23,
            "sid": "layout",
            "name": "layout",
            "label": "layout",
            "data": {
              "body": "> 탭아이템, 드롭다운메뉴, 사용자정의 영역의 순서를 설정합니다. ### Info |name|type|required|description| |---|---|---|---| |`layout`|`array<string>`|<span class='required'>필수</span>|순서| ### Enum - enable |value|description| |---|---| |`tabs`|탭아이템 영역| |`dropdown`|탭 내비게이션 영역(탭아이템 영역에 따라 표시 여부 결정)| |`custom`|사용자정의 영역| ### Example ```javascript //탭 기본 속성 설정 myTab.setOptions({ layout : [\"tabs\",\"dropdown\",\"custom\"] }); ``` ![s](/assets/imgs/ibtab-layout.png) ### 제공 버전 |version|desc| |---|---| |7.3.0.1||"
            },
            "url": "docs/props/tabBar/layout.html"
          }
        ]
      },
      {
        "gid": 7,
        "name": "props-style",
        "label": "style",
        "children": [
          {
            "cid": 24,
            "sid": "background",
            "name": "background",
            "label": "background",
            "data": {
              "body": "> 아이템의 배경을 설정 할 수 있습니다. ### Info |name|type|required(default)|description| |---|---|---|---| |color|`string`|<span class='optional'>선택</span>|아이템 배경색| |hoverColor|`string`|<span class='optional'>선택</span>|아이템 마우스 오버 배경색| |disalbeColor|`string`|<span class='optional'>선택</span>|아이템 비활성화 배경색 `tabs.style만 적용`| ### Enum - color, hoverColor, disableColor |value|description| |---|---| |`\"#000000\" ~ \"#FFFFFF\"`|RGB(hex)| |`\"rgb(0,0,0)\" ~ \"rgb(255,255,255)\"`|RGB| |`\"rgba(0,0,0,0)\" ~ \"rgba(255,255,255,1)\"`|RGBA| ### Example ```javascript //탭 기본 속성 설정 myTab.setOptions({ tabs : [{ /* 다른 속성 정의 */ style : { background : { color : \"#FFFFFF\", hoverColor : \"#CCCCCC\", disableColor : \"rgba(255,255,255,0)\" } } }], contents : [{ /* 다른 속성 정의 */ style : { background : { color : \"#FFFFFF\", hoverColor : \"#CCCCCC\" } } }] }); ``` ### 제공 버전 |version|desc| |---|---| |7.3.0.0||"
            },
            "url": "docs/props/style/background.html"
          },
          {
            "cid": 25,
            "sid": "border",
            "name": "border",
            "label": "border",
            "data": {
              "body": "> 아이템의 윤곽선을 설정 할 수 있습니다. ### Info |name|type|required(default)|description| |---|---|---|---| |color|`string`|<span class='optional'>선택</span>|아이템 윤곽선 색| |hoverColor|`string`|<span class='optional'>선택</span>|아이템 마우스 오버 윤곽선 색| |disalbeColor|`string`|<span class='optional'>선택</span>|아이템 비활성화 윤곽선 색 `tabs.style만 적용`| |size|`string`|<span class='optional'>선택</span>|아이템 윤곽선 두께| |type|`string`|<span class='optional'>선택</span>|아이템 윤곽선 종류| |radius|`string`|<span class='optional'>선택</span>|아이템 윤곽선 곡률| ### Enum - color, hoverColor, disableColor |value|description| |---|---| |`\"#000000\" ~ \"#FFFFFF\"`|RGB(hex)| |`\"rgb(0,0,0)\" ~ \"rgb(255,255,255)\"`|RGB| |`\"rgba(0,0,0,0)\" ~ \"rgba(255,255,255,1)\"`|RGBA| - size |value|description| |---|---| |`${숫자}px`|px 값으로 설정| |`${숫자}em`|em 값으로 설정| |`${숫자}rem`|rem 값으로 설정| - type |value|description| |---|---| |`none`|선 없음| |`hidden`|선 숨김| |`dotted`|점선| |`dashed`|파선| |`solid`|실선| |`double`|이중 실선| |`groove`|음각 실선| |`ridge`|양각 실선| |`inset`|음각 실선 (3D)| |`outset`|양각 실선 (3D)| - radius |value|description| |---|---| |`${숫자}px`|경계선 전체 곡률| |`${숫자}px ${숫자}px`|경계선 ${왼쪽상단,오른쪽하단} ${왼쪽하단,오른쪽상단} 곡률| |`${숫자}px ${숫자}px ${숫자}px`|경계선 ${왼쪽상단, 오른쪽하단} ${왼쪽하단, 오른쪽상단} ${오른쪽하단} 곡률| |`${숫자}px ${숫자}px ${숫자}px ${숫자}px`|경계선 ${왼쪽상단} ${오른쪽상단} ${오른쪽하단} ${왼쪽하단} 곡률| ### Example ```javascript //탭 기본 속성 설정 myTab.setOptions({ tabs : [{ /* 다른 속성 정의 */ style : { border: { color: \"#FFFFFF\", hoverColor: \"#CCCCCC\", disableColor: \"rgba(255,255,255,0)\", size: \"2px\", type: \"solid\", radius: \"5px 0px 0px\" } } }], contents : [{ /* 다른 속성 정의 */ style : { border: { color: \"#FFFFFF\", hoverColor: \"#CCCCCC\", size: \"2px\", type: \"solid\", radius: \"0px 0px 5px 5px\" } } }] }); ``` ### 제공 버전 |version|desc| |---|---| |7.3.0.0||"
            },
            "url": "docs/props/style/border.html"
          },
          {
            "cid": 26,
            "sid": "font",
            "name": "font",
            "label": "font",
            "data": {
              "body": "> 아이템의 글자의 속성을 설정 할 수 있다. ### Info |name|type|required(default)|description| |---|---|---|---| |color|`string`|<span class='optional'>선택</span>|아이템 글자색| |hoverColor|`string`|<span class='optional'>선택</span>|아이템 마우스 오버 글자색| |disalbeColor|`string`|<span class='optional'>선택</span>|아이템 비활성화 글자색 `tabs.style만 적용`| |size|`string`|<span class='optional'>선택</span>|아이템 글자 크기| |weight|`string`|<span class='optional'>선택</span>|아이템 글자 굵기| |type|`string`|<span class='optional'>선택</span>|아이템 글자 종류| ### Enum - color, hoverColor, disableColor |value|description| |---|---| |`\"#000000\" ~ \"#FFFFFF\"`|RGB(hex)| |`\"rgb(0,0,0)\" ~ \"rgb(255,255,255)\"`|RGB| |`\"rgba(0,0,0,0)\" ~ \"rgba(255,255,255,1)\"`|RGBA| - size |value|description| |---|---| |`${숫자}px`|px 값으로 설정| |`${숫자}pt`|pt 값으로 설정| |`${숫자}em`|em 값으로 설정| |`${숫자}rem`|rem 값으로 설정| - weight |value|description| |---|---| |`normal`|보통 글꼴 가중치(400과 같음)| |`bold`|굵은 글꼴 가중치(700과 같음)| |`lighter`|(가능한 글꼴 가중치 중) 부모 요소보다 얇은 글꼴 가중치| |`bolder`|(가능한 글꼴 가중치 중) 부모 요소보다 굵은 글꼴 가중치| |`\"Thin\" 또는 \"Hairline\"`|100의 가중치| |`\"Extra Light\" 또는 \"Ultra Light\"`|200의 가중치| |`Light`|300의 가중치| |`Normal`|400의 가중치| |`Medium`|500의 가중치| |`\"Semi Bold\" 또는 \"Demi Bold\"`|600의 가중치| |`Bold`|700의 가중치| |`\"Extra Bold\" 또는 \"Ultra Bold\"`|800의 가중치| |`\"Black\" 또는 \"Heavy\"`|900의 가중치| |`inherit`|상위 속성을 따름| |`initial`|글꼴의 초기값을 따름| |`unset`|inherit가 없으면 initial를 따름| - type |value|description| |---|---| |`normal`|기본 타입| |`italic`|기울기 타입| |`oblique`|기울기 타입| |`inherit`|상위 속성을 따름| |`initial`|글꼴의 초기값을 따름| |`unset`|inherit가 없으면 initial를 따름| ### Example ```javascript //탭 기본 속성 설정 myTab.setOptions({ tabs : [{ /* 다른 속성 정의 */ style : { background: { color: \"#FFFFFF\", hoverColor: \"#CCCCCC\", disableColor: \"rgba(255,255,255,0)\", size: \"14px\", type: \"normal\", weight: \"normal\" } } }], contents : [{ /* 다른 속성 정의 */ style : { background: { color: \"#FFFFFF\", hoverColor: \"#CCCCCC\", size: \"2px\", type: \"solid\", radius: \"0px 0px 5px 5px\" } } }] }); ``` ### 제공 버전 |version|desc| |---|---| |7.3.0.0||"
            },
            "url": "docs/props/style/font.html"
          }
        ]
      }
    ]
  },
  {
    "gid": 4,
    "name": "funcs",
    "label": "Methods",
    "children": [
      {
        "gid": 1,
        "name": "funcs-tabObject",
        "label": "TabObject",
        "children": [
          {
            "cid": 27,
            "sid": "addTab",
            "name": "addTab",
            "label": "addTab",
            "data": {
              "body": "> 탭아이템과 콘텐츠아이템을 탭에 동적으로 추가 합니다. ### Syntax ```javascript {ibtab}.addTab(prop, callback); ``` ### Parameters |Name|Type|Required|Description| |----------|-----|---|----| |`prop`|`object`|<span class='required'>필수</span>|탭아이템 및 콘텐츠아이템 속성| |callback|`function`|<span class='optional'>선택</span>|탭아이템과 콘텐츠아이템이 추가된 후 호출될 콜백 함수| ### Returns ***none*** ### Example ```javascript myTab.addTab({ tabs: { title: \"Tab1\", focus: true }, contents: { contents: \"<div style=\"margin: 10px;\"><h4>Tab1 Contents </h4> <p>내용을 채워주세요.</p></div>\" } }, function(object){ console.log(object.index); }); ``` ### Since |version|desc| |---|---| |7.3.0.0||",
              "since": "|version|desc||---|---||7.3.0.0||"
            },
            "url": "docs/funcs/tabObject/addTab.html"
          },
          {
            "cid": 28,
            "sid": "disableAllTabs",
            "name": "disableAllTabs",
            "label": "disableAllTabs",
            "data": {
              "body": "> 모든 탭아이템을 비활성화 합니다. ### Syntax ```javascript {ibtab}.disableAllTabs(); ``` ### Returns ***none*** ### Example ```javascript myTab.disableAllTabs(); ``` ### Since |version|desc| |---|---| |7.3.0.0||",
              "since": "|version|desc||---|---||7.3.0.0||"
            },
            "url": "docs/funcs/tabObject/disableAllTabs.html"
          },
          {
            "cid": 29,
            "sid": "disableTab",
            "name": "disableTab",
            "label": "disableTab",
            "data": {
              "body": "> 특정 인덱스의 탭아이템을 비활성화 합니다. ### Syntax ```javascript {ibtab}.disableTab(idx); ``` ### Parameters |Name|Type|Required|Description| |----------|-----|---|----| |`idx`|`number`|<span class='required'>필수</span>|탭아이템의 인덱스| ### Returns ***none*** ### Example ```javascript myTab.disableTab(0); ``` ### Since |version|desc| |---|---| |7.3.0.0||",
              "since": "|version|desc||---|---||7.3.0.0||"
            },
            "url": "docs/funcs/tabObject/disableTab.html"
          },
          {
            "cid": 30,
            "sid": "dispose",
            "name": "dispose",
            "label": "dispose",
            "data": {
              "body": "> 컨테이너 요소를 제외한 모든 IBTab 컴포넌트를 제거합니다. ### Syntax ```javascript {ibtab}.dispose(); ``` ### Returns ***none*** ### Example ```javascript myTab.dispose(); ``` ### Since |version|desc| |---|---| |7.3.0.1||",
              "since": "|version|desc||---|---||7.3.0.1||"
            },
            "url": "docs/funcs/tabObject/dispose.html"
          },
          {
            "cid": 31,
            "sid": "enableAllTabs",
            "name": "enableAllTabs",
            "label": "enableAllTabs",
            "data": {
              "body": "> 모든 탭아이템을 활성화 합니다. ### Syntax ```javascript {ibtab}.enableAllTabs(); ``` ### Returns ***none*** ### Example ```javascript myTab.enableAllTabs(); ``` ### Since |version|desc| |---|---| |7.3.0.0||",
              "since": "|version|desc||---|---||7.3.0.0||"
            },
            "url": "docs/funcs/tabObject/enableAllTabs.html"
          },
          {
            "cid": 32,
            "sid": "enableTab",
            "name": "enableTab",
            "label": "enableTab",
            "data": {
              "body": "> 특정 인덱스의 탭아이템을 활성화 합니다. ### Syntax ```javascript {ibtab}.enableTab(idx); ``` ### Parameters |Name|Type|Required|Description| |----------|-----|---|----| |`idx`|`number`|<span class='required'>필수</span>|탭아이템의 인덱스| ### Returns ***none*** ### Example ```javascript //탭의 활성화 여부 확인 var tf = myTab.tabs.items(0).getEnable(); //비활성화인 경우 활성화. if(tf == false) myTab.enableTab(0); //특정 탭 활성화 myTab.enableTab(0); ``` ### Since |version|desc| |---|---| |7.3.0.0||",
              "since": "|version|desc||---|---||7.3.0.0||"
            },
            "url": "docs/funcs/tabObject/enableTab.html"
          },
          {
            "cid": 33,
            "sid": "findContentsId",
            "name": "findContentsId",
            "label": "findContentsId",
            "data": {
              "body": "> 콘텐츠에 설정된 id값으로 콘텐츠를 찾아서 반환합니다.</br> > 사용자가 별도의 id를 설정하지 않으면 `객체id_contents-생성순서(0부터 시작)` 로 설정됩니다.</br> > 반환된 object는 `Methods - conents`의 메소드 사용이 가능합니다. ### Syntax ```javascript {ibtab}.findContentsId(id); ``` ### Parameters |Name|Type|Required|Description| |----------|-----|---|----| |`id`|`string`|<span class='required'>필수</span>|찾을 콘텐츠 아이템의 id| ### Returns ***`object`: 콘텐츠 아이템*** ### Example ```javascript myTab.findContentsId(\"myTab_contents-0\"); // object ``` ### Since |version|desc| |---|---| |7.3.0.1||",
              "since": "|version|desc||---|---||7.3.0.1||"
            },
            "url": "docs/funcs/tabObject/findContentsId.html"
          },
          {
            "cid": 34,
            "sid": "findTabId",
            "name": "findTabId",
            "label": "findTabId",
            "data": {
              "body": "> 탭 아이템에 설정된 id값으로 탭아이템을 찾아서 반환합니다. > 사용자가 별도의 id를 설정하지 않으면 `객체id_tabs-생성순서(0부터 시작)`로 설정합니다. > 반환된 object는 `Methods - tabs` 의 메소드 사용이 가능합니다. ### Syntax ```javascript {ibtab}.findTabId(id); ``` ### Parameters |Name|Type|Required|Description| |----------|-----|---|----| |`id`|`string`|<span class='required'>필수</span>|찾을 탭아이템의 id| ### Returns ***`object`: 콘텐츠 아이템*** ### Example ```javascript myTab.findTabId(\"myTab_tabs-0\"); // object ``` ### Since |version|desc| |---|---| |7.3.0.1||",
              "since": "|version|desc||---|---||7.3.0.1||"
            },
            "url": "docs/funcs/tabObject/findTabId.html"
          },
          {
            "cid": 35,
            "sid": "getId",
            "name": "getId",
            "label": "getId",
            "data": {
              "body": "> 현재 IBTab의 ID를 반환합니다. ### Syntax ```javascript {ibtab}.getId(); ``` ### Returns ***`string`: 탭 객체 ID*** ### Example ```javascript console.log(myTab.getId()); // 탭에 설정된 ID 반환 ``` ### Since |version|desc| |---|---| |7.3.0.0||",
              "since": "|version|desc||---|---||7.3.0.0||"
            },
            "url": "docs/funcs/tabObject/getId.html"
          },
          {
            "cid": 36,
            "sid": "getLayout",
            "name": "getLayout",
            "label": "getLayout",
            "data": {
              "body": "> 탭바 요소의 순서를 반환합니다. ### Syntax ```javascript {ibtab}.getLayout(); ``` ### Returns ***`array<string>`: 탭바 요소의 순서*** ### Example ```javascript console.log(myTab.getLayout()); // array ``` ### Since |version|desc| |---|---| |7.3.0.1||",
              "since": "|version|desc||---|---||7.3.0.1||"
            },
            "url": "docs/funcs/tabObject/getLayout.html"
          },
          {
            "cid": 37,
            "sid": "getOptions",
            "name": "getOptions",
            "label": "getOptions",
            "data": {
              "body": "> IBTab에 설정된 속성을 반환합니다. ### Syntax ```javascript {ibtab}.getOptions(); ``` ### Returns ***`object`: 속성의 옵션*** ### Example ```javascript console.log(myTab.getOptions()); // object ``` ### Since |version|desc| |---|---| |7.3.0.0||",
              "since": "|version|desc||---|---||7.3.0.0||"
            },
            "url": "docs/funcs/tabObject/getOptions.html"
          },
          {
            "cid": 38,
            "sid": "getThemes",
            "name": "getThemes",
            "label": "getThemes",
            "data": {
              "body": "> IBTab에 설정된 테마를 반환합니다. ### Syntax ```javascript {ibtab}.getThemes(); ``` ### Returns ***`object`: 설정된 테마*** ### Example ```javascript console.log(myTab.getThemes()); // object ``` ### Since |version|desc| |---|---| |7.3.0.0||",
              "since": "|version|desc||---|---||7.3.0.0||"
            },
            "url": "docs/funcs/tabObject/getThemes.html"
          },
          {
            "cid": 39,
            "sid": "goToFirstTab",
            "name": "goToFirstTab",
            "label": "goToFirstTab",
            "data": {
              "body": "> 가장 처음(생성된 탭의 맨 왼쪽) 탭으로 이동합니다. ### Syntax ```javascript {ibtab}.goToFirstTab(callback); ``` ### Parameters |Name|Type|Required|Description| |----------|-----|---|----| |callback|`function`|<span class='optional'>선택</span>|콜백 함수| ### Returns ***none*** ### Example ```javascript myTab.goToFirstTab(function(index,msg){console.log(index,msg)}); // 이동할 인덱스와 피드백 메시지 출력 ``` ### Since |version|desc| |---|---| |7.3.0.0||",
              "since": "|version|desc||---|---||7.3.0.0||"
            },
            "url": "docs/funcs/tabObject/goToFirstTab.html"
          },
          {
            "cid": 40,
            "sid": "goToLastTab",
            "name": "goToLastTab",
            "label": "goToLastTab",
            "data": {
              "body": "> 가장 마지막(생성된 탭의 맨 오른쪽) 탭으로 이동합니다. ### Syntax ```javascript {ibtab}.goToLastTab(callback); ``` ### Parameters |Name|Type|Required|Description| |----------|-----|---|----| |callback|`function`|<span class='optional'>선택</span>|콜백 함수| ### Returns ***none*** ### Example ```javascript myTab.goToFirstTab(function(index,msg){console.log(index,msg)}); // 이동할 인덱스와 피드백 메시지 출력 ``` ### Since |version|desc| |---|---| |7.3.0.0||",
              "since": "|version|desc||---|---||7.3.0.0||"
            },
            "url": "docs/funcs/tabObject/goToLastTab.html"
          },
          {
            "cid": 41,
            "sid": "goToNextTab",
            "name": "goToNextTab",
            "label": "goToNextTab",
            "data": {
              "body": "> 현재탭의 다음(오른쪽) 탭으로 이동합니다. ### Syntax ```javascript {ibtab}.goToNextTab(callback); ``` ### Parameters |Name|Type|Required|Description| |----------|-----|---|----| |callback|`function`|<span class='optional'>선택</span>|콜백 함수| ### Returns ***none*** ### Example ```javascript myTab.goToNextTab(function(index,msg){console.log(index,msg)}); // 이동할 인덱스와 피드백 메시지 출력 ``` ### Since |version|desc| |---|---| |7.3.0.0||",
              "since": "|version|desc||---|---||7.3.0.0||"
            },
            "url": "docs/funcs/tabObject/goToNextTab.html"
          },
          {
            "cid": 42,
            "sid": "goToPrevTab",
            "name": "goToPrevTab",
            "label": "goToPrevTab",
            "data": {
              "body": "> 현재탭의 이전(왼쪽) 탭으로 이동합니다. ### Syntax ```javascript {ibtab}.goToPrevTab(callback); ``` ### Parameters |Name|Type|Required|Description| |----------|-----|---|----| |callback|`function`|<span class='optional'>선택</span>|콜백 함수| ### Returns ***none*** ### Example ```javascript myTab.goToPrevTab(function(index,msg){console.log(index,msg)}); // 이동할 인덱스와 피드백 메시지 출력 ``` ### Since |version|desc| |---|---| |7.3.0.0||",
              "since": "|version|desc||---|---||7.3.0.0||"
            },
            "url": "docs/funcs/tabObject/goToPrevTab.html"
          },
          {
            "cid": 43,
            "sid": "goToTab",
            "name": "goToTab",
            "label": "goToTab",
            "data": {
              "body": "> 설정한 인덱스로 이동합니다. ### Syntax ```javascript {ibtab}.goToTab(idx,callback); ``` ### Parameters |Name|Type|Required|Description| |----------|-----|---|----| |`idx`|`number`|<span class='required'>필수</span>|이동할 인덱스| |callback|`function`|<span class='optional'>선택</span>|콜백 함수| ### Returns ***none*** ### Example ```javascript myTab.goToTab(function(i,msg){console.log(i,msg)}); // 이동할 인덱스와 피드백 메시지 출력 ``` ### Since |version|desc| |---|---| |7.3.0.0||",
              "since": "|version|desc||---|---||7.3.0.0||"
            },
            "url": "docs/funcs/tabObject/goToTab.html"
          },
          {
            "cid": 44,
            "sid": "hideAllTabs",
            "name": "hideAllTabs",
            "label": "hideAllTabs",
            "data": {
              "body": "> 모든 탭아이템을 숨깁니다. ### Syntax ```javascript {ibtab}.hideAllTabs(); ``` ### Returns ***none*** ### Example ```javascript myTab.hideAllTabs(); ``` ### Since |version|desc| |---|---| |7.3.0.0||",
              "since": "|version|desc||---|---||7.3.0.0||"
            },
            "url": "docs/funcs/tabObject/hideAllTabs.html"
          },
          {
            "cid": 45,
            "sid": "hideTab",
            "name": "hideTab",
            "label": "hideTab",
            "data": {
              "body": "> 특정 인덱스의 탭아이템을 숨깁니다. ### Syntax ```javascript {ibtab}.hideTab(idx); ``` ### Parameters |Name|Type|Required|Description| |----------|-----|---|----| |`idx`|`number`|<span class='required'>필수</span>|숨길 탭아이템 인덱스| ### Returns ***none*** ### Example ```javascript //현재 보여지는 탭 아이템 개수. var cnt = myTab.tabs.getCountVisible(); //현재 탭 인덱스 확인. var idx = myTab.tabs.getActiveTab(); //보여지는 탭 개수가 2개 이상 일때만 숨김처리. if(cnt > 1) myTab.hideTab(idx); else alert('탭은 최소한 한개 이상 보여져야 합니다.'); //탭 아이템 숨기기. myTab.hideTab(0); ``` ### Since |version|desc| |---|---| |7.3.0.0||",
              "since": "|version|desc||---|---||7.3.0.0||"
            },
            "url": "docs/funcs/tabObject/hideTab.html"
          },
          {
            "cid": 46,
            "sid": "holdAllTabs",
            "name": "holdAllTabs",
            "label": "holdAllTabs",
            "data": {
              "body": "> 모든 탭아이템을 고정합니다. ### Syntax ```javascript {ibtab}.holdAllTabs(); ``` ### Returns ***none*** ### Example ```javascript myTab.holdAllTabs(); ``` ### Since |version|desc| |---|---| |7.3.0.0||",
              "since": "|version|desc||---|---||7.3.0.0||"
            },
            "url": "docs/funcs/tabObject/holdAllTabs.html"
          },
          {
            "cid": 47,
            "sid": "holdTab",
            "name": "holdTab",
            "label": "holdTab",
            "data": {
              "body": "> 특정 인덱스의 탭아이템을 고정합니다. ### Syntax ```javascript {ibtab}.holdTab(idx); ``` ### Parameters |Name|Type|Required|Description| |----------|-----|---|----| |`idx`|`number`|<span class='required'>필수</span>|고정할 탭아이템 인덱스| ### Returns ***none*** ### Example ```javascript myTab.holdTab(0); ``` ### Since |version|desc| |---|---| |7.3.0.0||",
              "since": "|version|desc||---|---||7.3.0.0||"
            },
            "url": "docs/funcs/tabObject/holdTab.html"
          },
          {
            "cid": 48,
            "sid": "releaseAllTabs",
            "name": "releaseAllTabs",
            "label": "releaseAllTabs",
            "data": {
              "body": "> 모든 탭아이템을 고정 해제합니다. ### Syntax ```javascript {ibtab}.releaseAllTabs(); ``` ### Returns ***none*** ### Example ```javascript myTab.releaseAllTabs(); ``` ### Since |version|desc| |---|---| |7.3.0.0||",
              "since": "|version|desc||---|---||7.3.0.0||"
            },
            "url": "docs/funcs/tabObject/releaseAllTabs.html"
          },
          {
            "cid": 49,
            "sid": "releaseTab",
            "name": "releaseTab",
            "label": "releaseTab",
            "data": {
              "body": "> 특정 인덱스의 탭아이템을 고정해제 합니다. ### Syntax ```javascript {ibtab}.releaseTab(idx); ``` ### Parameters |Name|Type|Required|Description| |----------|-----|---|----| |`idx`|`number`|<span class='required'>필수</span>|고정 해제할 탭아이템 인덱스| ### Returns ***none*** ### Example ```javascript myTab.releaseTab(0); ``` ### Since |version|desc| |---|---| |7.3.0.0||",
              "since": "|version|desc||---|---||7.3.0.0||"
            },
            "url": "docs/funcs/tabObject/releaseTab.html"
          },
          {
            "cid": 50,
            "sid": "removeAllTabs",
            "name": "removeAllTabs",
            "label": "removeAllTabs",
            "data": {
              "body": "> 모든 탭아이템을 제거합니다. ### Syntax ```javascript {ibtab}.removeAllTabs(); ``` ### Returns ***none*** ### Example ```javascript myTab.removeAllTabs(); ``` ### Since |version|desc| |---|---| |7.3.0.0||",
              "since": "|version|desc||---|---||7.3.0.0||"
            },
            "url": "docs/funcs/tabObject/removeAllTabs.html"
          },
          {
            "cid": 51,
            "sid": "removeTab",
            "name": "removeTab",
            "label": "removeTab",
            "data": {
              "body": "> 특정 인덱스의 탭아이템을 제거합니다. ### Syntax ```javascript {ibtab}.removeTab(idx); ``` ### Parameters |Name|Type|Required|Description| |----------|-----|---|----| |`idx`|`number`|<span class='required'>필수</span>|제거할 탭아이템 인덱스| ### Returns ***none*** ### Example ```javascript //현재 탭 인덱스 확인. var idx = myTab.tabs.getActiveTab(); //0번 탭은 제거하지 않음. if(idx != 0) myTab.removeTab(idx); else alert('첫번째 탭은 삭제할 수 없습니다.'); myTab.removeTab(0); ``` ### Since |version|desc| |---|---| |7.3.0.0||",
              "since": "|version|desc||---|---||7.3.0.0||"
            },
            "url": "docs/funcs/tabObject/removeTab.html"
          },
          {
            "cid": 52,
            "sid": "setContextMenu",
            "name": "setContextMenu",
            "label": "setContextMenu",
            "data": {
              "body": "> 콘텍스트메뉴를 설정합니다. ### Syntax ```javascript {ibtab}.setContextMenu(prop,opt); ``` ### Parameters |Name|Type|Required|Description| |----------|-----|---|----| |`prop`|`object`|<span class='required'>필수</span>|콘텍스트메뉴 속성| |`prop.menu`|`array<string>`|<span class='required'>필수</span>|콘텍스트메뉴 구성 순서(구분선 : |)| |opt|`object`|<span class='optional'>선택</span>|옵션| |opt.merge|`boolean`|<span class='optional'>선택(false)</span>|속성 병합 여부| ### Returns ***none*** ### Example ```javascript myTab.setContextMenu({ menu: [\"clsTT\",\"clsAT\",\"clsRT\",\"clsLT\",\"clsATET\"], enable: true }); ``` ### Since |version|desc| |---|---| |7.3.0.0||",
              "since": "|version|desc||---|---||7.3.0.0||"
            },
            "url": "docs/funcs/tabObject/setContextMenu.html"
          },
          {
            "cid": 53,
            "sid": "setEventListener",
            "name": "setEventListener",
            "label": "setEventListener",
            "data": {
              "body": "> 이벤트를 추가합니다. ### Syntax ```javascript {ibtab}.setEventListener(eventType, func); ``` ### Parameters |Name|Type|Required|Description| |----------|-----|---|----| |`eventType`|`string`|<span class='required'>필수</span>|이벤트 종류| |`func`|`string`|<span class='required'>필수</span>|이벤트 핸들러| ### Returns ***none*** ### Example ```javascript myTab.setEventListener(\"setOptionsEnd\",function(event){ console.log(\"설정 \" + event.type + \" 완료!\"); }); myTab.setEventListener(\"goTo\",function(event){ console.log(this.getId() + \" move to \" + event.index); }); ``` ### See also - [events](/docs/props/tabEvent/events.md) ### Since |version|desc| |---|---| |7.3.0.3||",
              "since": "|version|desc||---|---||7.3.0.3||"
            },
            "url": "docs/funcs/tabObject/setEventListener.html"
          },
          {
            "cid": 54,
            "sid": "setEvents",
            "name": "setEvents",
            "label": "setEvents",
            "data": {
              "body": "> 이벤트와 핸들러를 JSON 형식으로 설정합니다. ### Syntax ```javascript {ibtab}.setEvents(events); ``` ### Parameters |Name|Type|Required|Description| |----------|-----|---|----| |events|`object`|<span class='optional'>선택</span>|이벤트 종류와 핸들러(JSON형식)| ### Returns ***none*** ### Example ```javascript myTab.setEvents({ setOptionsEnd : function(event) { console.log(\"설정 \" + event.type + \" 완료!\"); }, goTo : function(event) { console.log(this.getId() + \" move to \" + event.index); } }); ``` ### See also - [events](/docs/props/tabEvent/events.md) ### Since |version|desc| |---|---| |7.3.0.0||",
              "since": "|version|desc||---|---||7.3.0.0||"
            },
            "url": "docs/funcs/tabObject/setEvents.html"
          },
          {
            "cid": 55,
            "sid": "setLayout",
            "name": "setLayout",
            "label": "setLayout",
            "data": {
              "body": "> 탭바 요소의 순서를 설정합니다. </br> > 탭바의 요소 순서 참조 - [Layout](/docs/props/tabBar/layout.md) 참조 ### Syntax ```javascript {ibtab}.setLayout(order); ``` ### Parameters |Name|Type|Required|Description| |----------|-----|---|----| |`order`|`array<string>`|<span class='required'>필수(\"tabs\",\"dropdown\",\"custom\")</span>|순서| ### Returns ***none*** ### Example ```javascript myTab.setLayout([\"tabs\",\"dropdown\",\"custom\"]); ``` ### Since |version|desc| |---|---| |7.3.0.1||",
              "since": "|version|desc||---|---||7.3.0.1||"
            },
            "url": "docs/funcs/tabObject/setLayout.html"
          },
          {
            "cid": 56,
            "sid": "setOptions",
            "name": "setOptions",
            "label": "setOptions",
            "data": {
              "body": "> IBTab에 속성을 설정 합니다. > `모든 prop.tabs의 isContents 값이 true 라면 prop.tabs의 개수와 prop.contents의 개수를 동일하게 맞추어야 합니다.` ### Syntax ```javascript {ibtab}.setOptions(prop, opt, callback); ``` ### Parameters |Name|Type|Required(Default)|Description| |----------|-----|---|----| |prop|`object`|<span class='required'>필수</span>|탭아이템 및 콘텐츠아이템 속성| |opt|`object`|<span class='optional'>선택</span>|옵션| |opt.append|`boolean`|<span class='optional'>선택(true)</span>|아이템 추가 여부| |opt.goToTab|`number`|<span class='optional'>선택(0)</span>|이동할 탭아이템 인덱스| |callback|`function`|<span class='optional'>선택</span>|설정 완료 후 호출될 콜백 함수| ### Returns ***none*** ### Example ```javascript myTab.setOptions({ tabs: [{ \"title\": \"iFrame\", \"style\": { \"icon\": { \"value\": \"fa-television\" } } },{ \"type\": \"link\", \"title\": \"Title_link\", \"isContents\": false, \"link\": { \"url\": \"http://wwwibsheet.com\", \"target\": \"_blank\" } },{ \"title\": \"title layout\", \"style\": { \"layout\": [\"close\",\"hold\",\"title\",\"icon\"], \"icon\": { \"value\": \"fa-table\" } } }], contents: [{ \"contents\": \"http://www.ibsheet.com/ibsheet_gallery.html#sparkline\", \"type\": \"iframe\", \"preLoad\": false },{ \"contents\": \"<div id='ib-container'></div>\", },{ \"contents\": \"Ipsam quo minus voluptate unde tempore eveniet consequuntur in, quod animi libero rem similique pariatur quos, et eum nisi ducimus, architecto voluptatibus! Lorem ipsum dolor sit amet, consectetur adipisicing elit. Iusto aspernatur natus dolorem fuga cumque optio saepe corrupti earum. Ipsam quaerat asperiores similique omnis excepturi temporibus ab eum magnam ipsa, odio.\", \"style\": { \"background\": { \"color\": \"#555\", \"hoverColor\": \"#ded\", \"disableColor\": \"#000\" }, \"font\": { \"color\": \"#fff\", \"hoverColor\": \"#000\", \"disableColor\": \"#fff\" } } }], customZone: { contents:\"사용자정의 영역\" }, events: { setOptionsEnd : function(event) { console.log(\"설정 \" + event.type + \" 완료!\"); }, goTo : function(event) { console.log(this.getId() + \" move to \" + event.index); } } },{ goToTab: 1 },function(obj){ console.log(obj.prop); }); ``` ### Since |version|desc| |---|---| |7.3.0.0|| |7.3.0.1|layout 속성 추가| |7.3.0.3|events 속성 추가|",
              "since": "|version|desc||---|---||7.3.0.0|||7.3.0.1|layout 속성 추가||7.3.0.3|events 속성 추가|"
            },
            "url": "docs/funcs/tabObject/setOptions.html"
          },
          {
            "cid": 57,
            "sid": "setThemes",
            "name": "setThemes",
            "label": "setThemes",
            "data": {
              "body": "> IBTab에 테마를 설정합니다. ### Syntax ```javascript {ibtab}.setThemes(prop,opt); ``` ### Parameters |Name|Type|Required(Default)|Description| |----------|-----|---|----| |`prop`|`object`|<span class='required'>필수</span>|탭아이템 및 콘텐츠아이템 속성| |`prop.tabs`|`string`|<span class='required'>필수(classic_blue)</span>|탭바 테마| |`prop.contents`|`string`|<span class='required'>필수(classic_blue)</span>|콘텐츠 테마| |`prop.contextMenu`|`string`|<span class='required'>필수(classic_blue)</span>|콘텍스트메뉴 테마| |opt|`object`|<span class='optional'>선택</span>|옵션| |opt.merge|`boolean`|<span class='optional'>선택(false)</span>|속성 병합 여부| ### Returns ***none*** ### Example ```javascript myTab.setThemes({ tabs: \"simple_blue\", contents: \"simple_blue\", contextMenu: \"simple_blue\" }); ``` ### Since |version|desc| |---|---| |7.3.0.0||",
              "since": "|version|desc||---|---||7.3.0.0||"
            },
            "url": "docs/funcs/tabObject/setThemes.html"
          },
          {
            "cid": 58,
            "sid": "showAllTabs",
            "name": "showAllTabs",
            "label": "showAllTabs",
            "data": {
              "body": "> 모든 탭아이템을 보이게 합니다. ### Syntax ```javascript {ibtab}.showAllTabs(); ``` ### Returns ***none*** ### Example ```javascript myTab.showAllTabs(); ``` ### Since |version|desc| |---|---| |7.3.0.0||",
              "since": "|version|desc||---|---||7.3.0.0||"
            },
            "url": "docs/funcs/tabObject/showAllTabs.html"
          },
          {
            "cid": 59,
            "sid": "showTab",
            "name": "showTab",
            "label": "showTab",
            "data": {
              "body": "> 특정 인덱스의 탭아이템을 보이게 합니다. ### Syntax ```javascript {ibtab}.showTab(idx); ``` ### Parameters |Name|Type|Required|Description| |----------|-----|---|----| |`idx`|`number`|<span class='required'>필수</span>|보이게 할 탭아이템 인덱스| ### Returns ***none*** ### Example ```javascript myTab.showTab(0); ``` ### Since |version|desc| |---|---| |7.3.0.0||",
              "since": "|version|desc||---|---||7.3.0.0||"
            },
            "url": "docs/funcs/tabObject/showTab.html"
          },
          {
            "cid": 60,
            "sid": "version",
            "name": "version",
            "label": "version",
            "data": {
              "body": "> IBTab의 버전을 문자열로 반환합니다. ### Syntax ```javascript {ibtab}.version(); ``` ### Parameters |Name|Type|Required|Description| |----------|-----|---|----| |prop|`object`|<span class='required'>필수</span>|탭아이템 및 콘텐츠아이템 속성| |callback|`function`|<span class='optional'>선택</span>|템아이템과 콘텐츠아이템이 추가된 후 호출될 콜백 함수| ### Returns ***`string`: 제품버전 문자열*** ### Example ```javascript console.log(myTab. version()); // IB Sheet 7 - IBTab(H) v7.3.x.x-xxxxxxxx-xx ``` ### Since |version|desc| |---|---| |7.3.0.0||",
              "since": "|version|desc||---|---||7.3.0.0||"
            },
            "url": "docs/funcs/tabObject/version.html"
          }
        ]
      },
      {
        "gid": 2,
        "name": "funcs-tabs",
        "label": "Tabs",
        "children": [
          {
            "cid": 61,
            "sid": "getActiveTab",
            "name": "getActiveTab",
            "label": "getActiveTab",
            "data": {
              "body": "> 현재 선택되어 있는 탭 아이템의 인덱스를 가져옵니다. ### Syntax ```javascript {ibtab}.tabs.getActiveTab(); ``` ### Returns ***`number`: 현재 선택된 탭 인덱스*** ### Example ```javascript console.log(myTab.tabs.getActiveTab()); ``` ### Since |version|desc| |---|---| |7.3.0.0||",
              "since": "|version|desc||---|---||7.3.0.0||"
            },
            "url": "docs/funcs/tabs/getActiveTab.html"
          },
          {
            "cid": 62,
            "sid": "getBContents",
            "name": "getBContents",
            "label": "getBContents",
            "data": {
              "body": "> 탭아이템 객체의 콘텐츠 유무를 가져옵니다. ### Syntax ```javascript {ibtab}.tabs.items(idx).getBContents(); ``` ### Parameters |Name|Type|Required|Description| |----------|-----|---|----| |`idx`|`number`|<span class='required'>필수</span>|탭아이템의 인덱스| ### Returns ***`boolean`: 탭아이템 객체의 콘텐츠 유무*** ### Example ```javascript console.log(myTab.tabs.items(0).getBContents()); ``` ### Since |version|desc| |---|---| |7.3.0.0||",
              "since": "|version|desc||---|---||7.3.0.0||"
            },
            "url": "docs/funcs/tabs/getBContents.html"
          },
          {
            "cid": 63,
            "sid": "getContainer",
            "name": "getContainer",
            "label": "getContainer",
            "data": {
              "body": "> 탭아이템 객체의 컨테이너를 가져옵니다. ### Syntax ```javascript {ibtab}.tabs.items(idx).getContainer(); ``` ### Parameters |Name|Type|Required|Description| |----------|-----|---|----| |`idx`|`number`|<span class='required'>필수</span>|탭아이템의 인덱스| ### Returns ***`object`: 탭아이템 객체 컨테이너*** ### Example ```javascript console.log(myTab.tabs.items(0).getContainer()); ``` ### Since |version|desc| |---|---| |7.3.0.0||",
              "since": "|version|desc||---|---||7.3.0.0||"
            },
            "url": "docs/funcs/tabs/getContainer.html"
          },
          {
            "cid": 64,
            "sid": "getCountEnable",
            "name": "getCountEnable",
            "label": "getCountEnable",
            "data": {
              "body": "> 활성화된 탭아이템의 개수를 가져옵니다. ### Syntax ```javascript {ibtab}.tabs.getCountEnable(); ``` ### Returns ***`number`: 탭바의 활성화된 탭 아이템 개수*** ### Example ```javascript console.log(myTab.tabs.getCountEnable()); ``` ### Since |version|desc| |---|---| |7.3.0.0||",
              "since": "|version|desc||---|---||7.3.0.0||"
            },
            "url": "docs/funcs/tabs/getCountEnable.html"
          },
          {
            "cid": 65,
            "sid": "getCountTab",
            "name": "getCountTab",
            "label": "getCountTab",
            "data": {
              "body": "> 탭아이템의 개수를 가져옵니다. ### Syntax ```javascript {ibtab}.tabs.getCountTab(); ``` ### Returns ***`number`: 탭바의 탭 아이템 개수*** ### Example ```javascript myTab.setEvents({ beforeAddTab: function(event) { //현재 탭 개수 확인. var cnt = myTab.tabs.getCountTab(); //생성된 탭이 5개 이하일 때 탭 생성 가능. if(cnt>4){ alert('탭은 5개까지만 생성됩니다.'); return false; } else return true; } }); ``` ### Since |version|desc| |---|---| |7.3.0.0||",
              "since": "|version|desc||---|---||7.3.0.0||"
            },
            "url": "docs/funcs/tabs/getCountTab.html"
          },
          {
            "cid": 66,
            "sid": "getCountVisible",
            "name": "getCountVisible",
            "label": "getCountVisible",
            "data": {
              "body": "> 보여지는 탭 아이템의 개수를 가져옵니다. ### Syntax ```javascript {ibtab}.tabs.getCountVisible(); ``` ### Returns ***`number`: 탭바의 보여지는 탭 아이템 개수*** ### Example ```javascript console.log(myTab.tabs.getCountVisible()); ``` ### Since |version|desc| |---|---| |7.3.0.0||",
              "since": "|version|desc||---|---||7.3.0.0||"
            },
            "url": "docs/funcs/tabs/getCountVisible.html"
          },
          {
            "cid": 67,
            "sid": "getEnable",
            "name": "getEnable",
            "label": "getEnable",
            "data": {
              "body": "> 탭아이템 객체의 활성화 여부를 가져옵니다. ### Syntax ```javascript {ibtab}.tabs.items(idx).getEnable(); ``` ### Parameters |Name|Type|Required|Description| |----------|-----|---|----| |`idx`|`number`|<span class='required'>필수</span>|탭아이템의 인덱스| ### Returns ***`boolean`: 탭아이템 객체의 활성화 여부*** ### Example ```javascript console.log(myTab.tabs.items(0).getEnable()); ``` ### Since |version|desc| |---|---| |7.3.0.0||",
              "since": "|version|desc||---|---||7.3.0.0||"
            },
            "url": "docs/funcs/tabs/getEnable.html"
          },
          {
            "cid": 68,
            "sid": "getHold",
            "name": "getHold",
            "label": "getHold",
            "data": {
              "body": "> 탭아이템 객체의 고정 여부를 가져옵니다. ### Syntax ```javascript {ibtab}.tabs.items(idx).getHold(); ``` ### Parameters |Name|Type|Required|Description| |----------|-----|---|----| |`idx`|`number`|<span class='required'>필수</span>|탭아이템의 인덱스| ### Returns ***`boolean`: 탭아이템 객체의 고정 여부*** ### Example ```javascript console.log(myTab.tabs.items(0).getHold()); ``` ### Since |version|desc| |---|---| |7.3.0.0||",
              "since": "|version|desc||---|---||7.3.0.0||"
            },
            "url": "docs/funcs/tabs/getHold.html"
          },
          {
            "cid": 69,
            "sid": "getId-2",
            "name": "getId",
            "label": "getId",
            "data": {
              "body": "> 탭아이템 객체의 id를 가져옵니다. ### Syntax ```javascript {ibtab}.tabs.items(idx).getId(); ``` ### Parameters |Name|Type|Required|Description| |----------|-----|---|----| |`idx`|`number`|<span class='required'>필수</span>|탭아이템의 인덱스| ### Returns ***`string`: 탭아이템 객체의 id*** ### Example ```javascript console.log(myTab.tabs.items(0).getId()); ``` ### Since |version|desc| |---|---| |7.3.0.0||",
              "since": "|version|desc||---|---||7.3.0.0||"
            },
            "url": "docs/funcs/tabs/getId.html"
          },
          {
            "cid": 70,
            "sid": "getIndex",
            "name": "getIndex",
            "label": "getIndex",
            "data": {
              "body": "> 탭아이템 객체의 인덱스를 가져옵니다. ### Syntax ```javascript {ibtab}.tabs.items(idx).getIndex(); ``` ### Parameters |Name|Type|Required|Description| |----------|-----|---|----| |`idx`|`number`|<span class='required'>필수</span>|탭아이템의 인덱스| ### Returns ***`number`: 탭아이템 객체의 인덱스*** ### Example ```javascript console.log(myTab.tabs.items(0).getIndex()); ``` ### Since |version|desc| |---|---| |7.3.0.0||",
              "since": "|version|desc||---|---||7.3.0.0||"
            },
            "url": "docs/funcs/tabs/getIndex.html"
          },
          {
            "cid": 71,
            "sid": "getTitle",
            "name": "getTitle",
            "label": "getTitle",
            "data": {
              "body": "> 탭아이템 객체의 제목을 가져옵니다. ### Syntax ```javascript {ibtab}.tabs.items(idx).getTitle(); ``` ### Parameters |Name|Type|Required|Description| |----------|-----|---|----| |`idx`|`number`|<span class='required'>필수</span>|탭아이템의 인덱스| ### Returns ***`string`: 탭아이템 객체의 제목*** ### Example ```javascript console.log(myTab.tabs.items(0).getTitle()); ``` ### Since |version|desc| |---|---| |7.3.0.0||",
              "since": "|version|desc||---|---||7.3.0.0||"
            },
            "url": "docs/funcs/tabs/getTitle.html"
          },
          {
            "cid": 72,
            "sid": "getType",
            "name": "getType",
            "label": "getType",
            "data": {
              "body": "> 탭아이템 객체의 종류를 가져옵니다. ### Syntax ```javascript {ibtab}.tabs.items(idx).getType(); ``` ### Parameters |Name|Type|Required|Description| |----------|-----|---|----| |`idx`|`number`|<span class='required'>필수</span>|탭아이템의 인덱스| ### Returns ***`string`: 탭아이템 객체의 종류*** ### Example ```javascript console.log(myTab.tabs.items(0).getType()); ``` ### Since |version|desc| |---|---| |7.3.0.0||",
              "since": "|version|desc||---|---||7.3.0.0||"
            },
            "url": "docs/funcs/tabs/getType.html"
          },
          {
            "cid": 73,
            "sid": "getVisible",
            "name": "getVisible",
            "label": "getVisible",
            "data": {
              "body": "> 탭아이템 객체의 숨김 여부를 가져옵니다. ### Syntax ```javascript {ibtab}.tabs.items(idx).getVisible(); ``` ### Parameters |Name|Type|Required|Description| |----------|-----|---|----| |`idx`|`number`|<span class='required'>필수</span>|탭아이템의 인덱스| ### Returns ***`boolean`: 탭아이템 객체의 숨김여부*** ### Example ```javascript console.log(myTab.tabs.items(0).getVisible()); ``` ### Since |version|desc| |---|---| |7.3.0.0||",
              "since": "|version|desc||---|---||7.3.0.0||"
            },
            "url": "docs/funcs/tabs/getVisible.html"
          },
          {
            "cid": 74,
            "sid": "items",
            "name": "items",
            "label": "items",
            "data": {
              "body": "> 입력받은 인덱스의 탭 아이템을 가져옵니다. ### Syntax ```javascript {ibtab}.tabs.items(idx); ``` ### Parameters |Name|Type|Required|Description| |----------|-----|---|----| |`idx`|`number`|<span class='required'>필수</span>|탭아이템의 인덱스| ### Returns ***`object`: 탭바의 탭아이템 객체*** ### Example ```javascript myTab.tabs.items(0).메소드(); ``` ### Since |version|desc| |---|---| |7.3.0.0||",
              "since": "|version|desc||---|---||7.3.0.0||"
            },
            "url": "docs/funcs/tabs/items.html"
          },
          {
            "cid": 75,
            "sid": "setId",
            "name": "setId",
            "label": "setId",
            "data": {
              "body": "> 입력받은 인덱스의 탭 아이템을 가져옵니다. ### Syntax ```javascript {ibtab}.tabs.items(idx).setId(id); ``` ### Parameters |Name|Type|Required|Description| |----------|-----|---|----| |`id`|`string`|<span class='required'>필수</span>|탭아이템 객체의 id| |`idx`|`number`|<span class='required'>필수</span>|탭아이템의 인덱스| ### Returns ***none*** ### Example ```javascript myTab.tabs.items(0).setId(\"BZL-0121\"); ``` ### Since |version|desc| |---|---| |7.3.0.0||",
              "since": "|version|desc||---|---||7.3.0.0||"
            },
            "url": "docs/funcs/tabs/setId.html"
          },
          {
            "cid": 76,
            "sid": "setTitle",
            "name": "setTitle",
            "label": "setTitle",
            "data": {
              "body": "> 탭아이템 객체의 제목을 설정합니다. ### Syntax ```javascript {ibtab}.tabs.items(idx).setTitle(title); ``` ### Parameters |Name|Type|Required|Description| |----------|-----|---|----| |`title`|`string`|<span class='required'>필수</span>|탭아이템 객체의 제목| |`idx`|`number`|<span class='required'>필수</span>|탭아이템의 인덱스| ### Returns ***none*** ### Example ```javascript myTab.tabs.items(0).setTitle(\"제목\"); ``` ### Since |version|desc| |---|---| |7.3.0.0||",
              "since": "|version|desc||---|---||7.3.0.0||"
            },
            "url": "docs/funcs/tabs/setTitle.html"
          }
        ]
      },
      {
        "gid": 3,
        "name": "funcs-contentsFunc",
        "label": "Contents",
        "children": [
          {
            "cid": 77,
            "sid": "getBLoaded",
            "name": "getBLoaded",
            "label": "getBLoaded",
            "data": {
              "body": "> 콘텐츠가 호출되었는지 여부를 가져옵니다. ### Syntax ```javascript {ibtab}.contents.items(idx).getBLoaded(); ``` ### Parameters |Name|Type|Required|Description| |----------|-----|---|----| |`idx`|`number`|<span class='required'>필수</span>|탭아이템의 인덱스| ### Returns ***`boolean`: 컨텐츠가 불러졌는지 여부*** ### Example ```javascript console.log(myTab.contents.items(0).getBLoaded()); ``` ### Since |version|desc| |---|---| |7.3.0.0||",
              "since": "|version|desc||---|---||7.3.0.0||"
            },
            "url": "docs/funcs/contentsFunc/getBLoaded.html"
          },
          {
            "cid": 78,
            "sid": "getBPreLoad",
            "name": "getBPreLoad",
            "label": "getBPreLoad",
            "data": {
              "body": "> 콘텐츠가 호출되었는지 여부를 가져옵니다. ### Syntax ```javascript {ibtab}.contents.items(idx).getBPreLoad(); ``` ### Parameters |Name|Type|Required|Description| |----------|-----|---|----| |`idx`|`number`|<span class='required'>필수</span>|탭아이템의 인덱스| ### Returns ***`boolean`: 탭아이템 생성과 동시에 콘텐츠 생성 여부*** ### Example ```javascript console.log(myTab.contents.items(0).getBPreLoad()); ``` ### Since |version|desc| |---|---| |7.3.0.0||",
              "since": "|version|desc||---|---||7.3.0.0||"
            },
            "url": "docs/funcs/contentsFunc/getBPreLoad.html"
          },
          {
            "cid": 79,
            "sid": "getContainer-2",
            "name": "getContainer",
            "label": "getContainer",
            "data": {
              "body": "> 콘텐츠 객체의 컨테이너를 가져옵니다. ### Syntax ```javascript {ibtab}.contents.items(idx).getContainer(); ``` ### Parameters |Name|Type|Required|Description| |----------|-----|---|----| |`idx`|`number`|<span class='required'>필수</span>|탭아이템의 인덱스| ### Returns ***`object`: 콘텐츠 객체의 컨테이너*** ### Example ```javascript console.log(myTab.contents.items(0).getContainer()); ``` ### Since |version|desc| |---|---| |7.3.0.0||",
              "since": "|version|desc||---|---||7.3.0.0||"
            },
            "url": "docs/funcs/contentsFunc/getContainer.html"
          },
          {
            "cid": 80,
            "sid": "getContents",
            "name": "getContents",
            "label": "getContents",
            "data": {
              "body": "> 콘텐츠 객체의 내용을 가져옵니다. ### Syntax ```javascript {ibtab}.contents.items(idx).getContents(); ``` ### Parameters |Name|Type|Required|Description| |----------|-----|---|----| |`idx`|`number`|<span class='required'>필수</span>|탭아이템의 인덱스| ### Returns ***`string`: 콘텐츠 객체의 내용*** ### Example ```javascript console.log(myTab.contents.items(0).getContents()); ``` ### Since |version|desc| |---|---| |7.3.0.0||",
              "since": "|version|desc||---|---||7.3.0.0||"
            },
            "url": "docs/funcs/contentsFunc/getContents.html"
          },
          {
            "cid": 81,
            "sid": "getId-3",
            "name": "getId",
            "label": "getId",
            "data": {
              "body": "> 콘텐츠 객체의 id를 가져옵니다. ### Syntax ```javascript {ibtab}.contents.items(idx).getId(); ``` ### Parameters |Name|Type|Required|Description| |----------|-----|---|----| |`idx`|`number`|<span class='required'>필수</span>|탭아이템의 인덱스| ### Returns ***`string`: 콘텐츠 객체의 id*** ### Example ```javascript console.log(myTab.contents.items(0).getId()); ``` ### Since |version|desc| |---|---| |7.3.0.0||",
              "since": "|version|desc||---|---||7.3.0.0||"
            },
            "url": "docs/funcs/contentsFunc/getId.html"
          },
          {
            "cid": 82,
            "sid": "getType-2",
            "name": "getType",
            "label": "getType",
            "data": {
              "body": "> 콘텐츠 객체의 종류를 가져옵니다. ### Syntax ```javascript {ibtab}.contents.items(idx).getType(); ``` ### Parameters |Name|Type|Required|Description| |----------|-----|---|----| |`idx`|`number`|<span class='required'>필수</span>|탭아이템의 인덱스| ### Returns ***`string`: 콘텐츠 객체의 종류*** ### Example ```javascript console.log(myTab.contents.items(0).getType()); ``` ### Since |version|desc| |---|---| |7.3.0.0||",
              "since": "|version|desc||---|---||7.3.0.0||"
            },
            "url": "docs/funcs/contentsFunc/getType.html"
          },
          {
            "cid": 83,
            "sid": "getView",
            "name": "getView",
            "label": "getView",
            "data": {
              "body": "> 콘텐츠 객체의 view 방식을 가져옵니다. ### Syntax ```javascript {ibtab}.contents.items(idx).getView(); ``` ### Parameters |Name|Type|Required|Description| |----------|-----|---|----| |`idx`|`number`|<span class='required'>필수</span>|탭아이템의 인덱스| ### Returns ***`string`: 콘텐츠 객체의 view 방식*** ### Example ```javascript console.log(myTab.contents.items(0).getView()); ``` ### Since |version|desc| |---|---| |7.3.0.0||",
              "since": "|version|desc||---|---||7.3.0.0||"
            },
            "url": "docs/funcs/contentsFunc/getView.html"
          },
          {
            "cid": 84,
            "sid": "items-2",
            "name": "items",
            "label": "items",
            "data": {
              "body": "> 입력받은 인덱스의 콘텐츠를 가져옵니다. ### Syntax ```javascript {ibtab}.contents.items(idx); ``` ### Parameters |Name|Type|Required|Description| |----------|-----|---|----| |`idx`|`number`|<span class='required'>필수</span>|탭아이템의 인덱스| ### Returns ***`object`: 콘텐츠 객체*** ### Example ```javascript myTab.contents.items(0).메소드(); ``` ### Since |version|desc| |---|---| |7.3.0.0||",
              "since": "|version|desc||---|---||7.3.0.0||"
            },
            "url": "docs/funcs/contentsFunc/items.html"
          },
          {
            "cid": 85,
            "sid": "setContents",
            "name": "setContents",
            "label": "setContents",
            "data": {
              "body": "> 콘텐츠 객체의 내용을 설정합니다. ### Syntax ```javascript {ibtab}.contents.items(idx).setContents(str); ``` ### Parameters |Name|Type|Required|Description| |----------|-----|---|----| |`str`|`object`|<span class='required'>필수</span>|콘텐츠 객체의 내용| |`idx`|`number`|<span class='required'>필수</span>|탭아이템의 인덱스| ### Returns ***`object`: 콘텐츠 객체*** ### Example ```javascript myTab.contents.items(0).setContents(\"<p>Hello~! stranger</p>\"); ``` ### Since |version|desc| |---|---| |7.3.0.0||",
              "since": "|version|desc||---|---||7.3.0.0||"
            },
            "url": "docs/funcs/contentsFunc/setContents.html"
          },
          {
            "cid": 86,
            "sid": "setId-2",
            "name": "setId",
            "label": "setId",
            "data": {
              "body": "> 콘텐츠 객체의 id를 설정합니다. ### Syntax ```javascript {ibtab}.contents.items(idx).setId(id); ``` ### Parameters |Name|Type|Required|Description| |----------|-----|---|----| |`id`|`string`|<span class='required'>필수</span>|콘텐츠 객체의 id| |`idx`|`number`|<span class='required'>필수</span>|탭아이템의 인덱스| ### Returns ***none*** ### Example ```javascript myTab.contents.items(0).setId(\"BZLC-0121\"); ``` ### Since |version|desc| |---|---| |7.3.0.0||",
              "since": "|version|desc||---|---||7.3.0.0||"
            },
            "url": "docs/funcs/contentsFunc/setId.html"
          }
        ]
      },
      {
        "gid": 4,
        "name": "funcs-customZone",
        "label": "CustomZone",
        "children": [
          {
            "cid": 87,
            "sid": "getContainer-3",
            "name": "getContainer",
            "label": "getContainer",
            "data": {
              "body": "> 사용자정의 영역 객체의 컨테이너를 가져옵니다. ### Syntax ```javascript {ibtab}.customZone(0).item().getContainer(); ``` ### Returns ***`object`: 사용자정의 영역 객체의 컨테이너*** ### Example ```javascript myTab.customZone.item().getContainer(); //object ``` ### Since |version|desc| |---|---| |7.3.1.0|split 기능 추가로 customZone 객체 호출 방식 변경|",
              "since": "|version|desc||---|---||7.3.1.0|split 기능 추가로 customZone 객체 호출 방식 변경|"
            },
            "url": "docs/funcs/customZone/getContainer.html"
          },
          {
            "cid": 88,
            "sid": "getContents-2",
            "name": "getContents",
            "label": "getContents",
            "data": {
              "body": "> 사용자정의 영역 객체의 내용을 가져옵니다. ### Syntax ```javascript {ibtab}.customZone(0).item().getContents(); ``` ### Returns ***`string`: 사용자정의 영역의 내용*** ### Example ```javascript myTab.customZone.item().getContents(); //object ``` ### Since |version|desc| |---|---| |7.3.1.0|split 기능 추가로 customZone 객체 호출 방식 변경|",
              "since": "|version|desc||---|---||7.3.1.0|split 기능 추가로 customZone 객체 호출 방식 변경|"
            },
            "url": "docs/funcs/customZone/getContents.html"
          },
          {
            "cid": 89,
            "sid": "hideItem",
            "name": "hideItem",
            "label": "hideItem",
            "data": {
              "body": "> 사용자정의 영역을 숨깁니다. ### Syntax ```javascript {ibtab}.customZone(0).item().hideItem(); ``` ### Returns ***none*** ### Example ```javascript myTab.customZone.item().hideItem(); //object ``` ### Since |version|desc| |---|---| |7.3.1.0|split 기능 추가로 customZone 객체 호출 방식 변경|",
              "since": "|version|desc||---|---||7.3.1.0|split 기능 추가로 customZone 객체 호출 방식 변경|"
            },
            "url": "docs/funcs/customZone/hideItem.html"
          },
          {
            "cid": 90,
            "sid": "initItem",
            "name": "initItem",
            "label": "initItem",
            "data": {
              "body": "> 사용자정의 영역을 HTML tag로 설정합니다. ### Syntax ```javascript {ibtab}.customZone(0).item().initItem(prop); ``` ### Parameters |Name|Type|Required|Description| |----------|-----|---|----| |`prop`|`object`|<span class='required'>필수</span>|사용자 정의 영역 속성| |`prop.contents`|`string`|<span class='required'>필수</span>|사용자 정의 영역 HTML tag| |prop.width|string|<span class='optional'>선택</span>|사용자 정의 영역 최대 너비값| ### Returns ***none*** ### Example ```javascript myTab.customZone.initItem({ contents: \"<div id='stranger'>Hello~, Stranger!</div>\", width: \"100px\" }); ``` ### Since |version|desc| |---|---| |7.3.1.0|split 기능 추가로 customZone 객체 호출 방식 변경|",
              "since": "|version|desc||---|---||7.3.1.0|split 기능 추가로 customZone 객체 호출 방식 변경|"
            },
            "url": "docs/funcs/customZone/initItem.html"
          },
          {
            "cid": 91,
            "sid": "item",
            "name": "item",
            "label": "item",
            "data": {
              "body": "> 입력받은 인덱스의 사용자 정의 영역을 가져옵니다. ### Syntax ```javascript {ibtab}.customZone(0).item(idx); ``` ### Parameters |Name|Type|Required|Description| |----------|-----|---|----| |`idx`|`number`|<span class='required'>필수</span>|탭아이템 인덱스값| ### Returns ***`object`: 사용자정의 영역 객체*** ### Example ```javascript myTab.customZone.item().hideItem().메소드(); ``` ### Since |version|desc| |---|---| |7.3.1.0|split 기능 추가로 customZone 객체 호출 방식 변경|",
              "since": "|version|desc||---|---||7.3.1.0|split 기능 추가로 customZone 객체 호출 방식 변경|"
            },
            "url": "docs/funcs/customZone/item.html"
          },
          {
            "cid": 92,
            "sid": "removeItem",
            "name": "removeItem",
            "label": "removeItem",
            "data": {
              "body": "> 사용자 정의 영역을 제거합니다. ### Syntax ```javascript {ibtab}.customZone(0).removeItem(); ``` ### Returns ***none*** ### Example ```javascript myTab.customZone(0).removeItem(); ``` ### Since |version|desc| |---|---| |7.3.1.0|split 기능 추가로 customZone 객체 호출 방식 변경|",
              "since": "|version|desc||---|---||7.3.1.0|split 기능 추가로 customZone 객체 호출 방식 변경|"
            },
            "url": "docs/funcs/customZone/removeItem.html"
          },
          {
            "cid": 93,
            "sid": "showItem",
            "name": "showItem",
            "label": "showItem",
            "data": {
              "body": "> 사용자 정의 영역을 보이게 합니다. ### Syntax ```javascript {ibtab}.customZone(0).showItem(); ``` ### Returns ***none*** ### Example ```javascript myTab.customZone(0).showItem(); ``` ### Since |version|desc| |---|---| |7.3.1.0|split 기능 추가로 customZone 객체 호출 방식 변경|",
              "since": "|version|desc||---|---||7.3.1.0|split 기능 추가로 customZone 객체 호출 방식 변경|"
            },
            "url": "docs/funcs/customZone/showItem.html"
          }
        ]
      }
    ]
  },
  {
    "gid": 5,
    "name": "static",
    "label": "Static",
    "children": [
      {
        "cid": 94,
        "sid": "ibtablang",
        "name": "ibtablang",
        "label": "IBTABLANG",
        "data": {
          "body": "> IBTab은 사용자가 언어 설정을 할 수 있도록 언어 설정 상수를 제공합니다. </br> > 한국어(언어코드 `kr`)를 기본으로 제공하고 다른 언어는 제공되는 언어 설정을 기준으로 번역하여 추가해서 사용할 수 있습니다. </br> > `ibtabinfo.js` 파일에서 메시지 관련 정보를 추가 및 변경 할 수 있습니다. ### Info |Properties|Type|Description| |----------|-----|----| |IBTABLANG.언어코드.tab|`object`|탭 표현에 사용되는 언어 설정| |IBTABLANG.언어코드.alert|`object`|데이터 오류나 사용자에게 경고 표시를 위한 언어 설정| |IBTABLANG.언어코드.text|`object`|tab, alert 외에 자유롭게 사용하는 문자열을 위한 언어 설정| ## tab Properties > 탭 표현에 사용되는 언어설정입니다.</br> > 속성명과 데이터 타입을 유지한 수정은 자유롭게 할 수 있습니다. |Properties|Type|Description| |----------|-----|----| |closeThisTab|string|탭닫기| |closeAllTabs|string|모든 탭 닫기| |closeRightTabs|string|현재 탭 오른쪽 모두 닫기| |closeLeftTabs|string|현재 탭 왼쪽 모두 닫기| |closeAllTabsExceptThis|string|현재 탭 제외하고 모두 닫기| |disableThisTab|string|탭 비활성화| |disableAllTabs|string|모든 탭 비활성화| |enableTab|string|탭 활성화| |enableAllTabs|string|모든 탭 활성화| |hideThisTab|string|탭 숨기기| |hideAllTabs|string|모든 탭 숨기기| |showAllTabs|string|모든 탭 보이기| |holdThisTab|string|탭 고정| |holdAllTabs|string|모든 탭 고정| |releaseThisTab|string|탭 고정해제| |releaseAllTabs|string|모든 탭 고정해제| ## alert Properties > 데이터 오류나 사용자에게 경고를 알리는 언어 설정입니다. </br> > 속성명과 데이터 타입, ${숫자} 인자를 유지한 수정은 자유롭게 할 수 있습니다. </br> > `단, 속성이 하나라도 누락되면 오류가 발생 할 수 있습니다.` |Properties|Type|Description| |----------|-----|----| |variableWorng|string|잘못된 값| |variableRequired|string|필수값 오류| |variableInteger|string|정수 오류| |variableFloat|string|실수 오류| |variableString|string|문자열 오류| |variableLessThen|string|A가 B보다 클 때 오류| |variableGreaterThen|string|A가 B보다 작을 때| |variableEpual|string|A와 B가 같지 않을 때| |noMessage|string|빈 메시지 오류| |holdTab|string|탭고정 삭제 오류| |notSupport|string|지원하지 않는 환경 오류| ## text Properties > tab, alert 이외의 자유롭게 사용하는 문자열을 위한 언어 설정입니다. </br> > 자유롭게 수정이 가능하며 `getAlertText()` 함수를 이용하면 ${숫자} 인자를 쉽게 적용 할 수 있습니다. |Properties|Type|Description| |----------|-----|----| |productName|string|getAlertText() 함수의 알림 머리말| |referenceSite|string|getAlertText() 함수의 알림 꼬리말| ### Since |version|desc| |---|---| |7.3.0.0||",
          "since": "|version|desc||---|---||7.3.0.0||"
        },
        "url": "docs/static/ibtablang.html"
      },
      {
        "cid": 95,
        "sid": "methods",
        "name": "methods",
        "label": "IBTABLANG Methods",
        "data": {
          "body": "> 언어 설정과 관련된 method 입니다. > getTextAlert(str) - 언어 설정에 담긴 문자열을 반환합니다. </br> > getLang() - IBTab에 설정된 언어코드를 반환합니다. </br> > setLang() - IBTab에 언어코드를 설정합니다. ### Syntax ```javascript {ibtab}.getAlertText(str); // 문자열 반환 {ibtab}.getLang() // 언어코드 반환(Default: kr) {ibtab}.setLang(lang) // 언어코드 설정 ``` ### Parameters |Name|Type|Required|Description| |----------|-----|---|----| |`str`|`string`|<span class='required'>필수</span>|IBTABLANG or 사용자 정의 문자열| |`lang`|`string`|<span class='required'>필수</span>|언어코드| ### Returns ***`string`: 문자열*** ### Example ```javascript // 문자열 반환 alert(myTab.getAlertText(\"경고입니다!\")); // \"경고입니다!\" alert(myTab.getAlertText(\"${0}는 ${1}이다.\").format(\"사과\",\"과일\")); // \"사과는 과일이다.\" alert(myTab.getAlertText(IBTABLANG.kr.alert.variableWrong).format(\"A\")); // \"A 값은 잘못된 값입니다.\" alert(myTab.getAlertText(IBTABLANG.kr.alert.variableEpual).format(\"front\",\"rear\")); // \"front값은 rear값과 같아야합니다.\" // 언어코드 반환 myTab.getLang(); // kr // 언어코드 설정 myTab.setLang(\"kr\"); // kr 언어코드 설정 ``` ### Since |version|desc| |---|---| |7.3.0.0||",
          "since": "|version|desc||---|---||7.3.0.0||"
        },
        "url": "docs/static/methods.html"
      }
    ]
  },
  {
    "gid": 6,
    "name": "event",
    "label": "Events",
    "children": [
      {
        "cid": 116,
        "sid": "event",
        "name": "event",
        "label": "event 사용법 기초",
        "data": {
          "body": "> 탭아이템, 콘텐츠 아이템의 이벤트를 설정합니다. ### Info |name|type|required|description| |---|---|---|---| |`events`|`object`|<span class='optional'>선택</span>|이벤트 종류와 핸들러(JSON 형식)| |`events.setOptionsEnd`|`function`|<span class='optional'>선택</span>|설정 완료 이벤트| |`events.goTo`|`function`|<span class='optional'>선택</span>|이동 완료 이벤트| |`events.setTabsOptionsEnd`|`function`|<span class='optional'>선택</span>|탭아이템 설정 완료 이벤트| |`events.addTab`|`function`|<span class='optional'>선택</span>|탭아이템 추가 완료 이벤트| |`events.removeTab`|`function`|<span class='optional'>선택</span>|탭아이템 제거 완료 이벤트| |`events.goToTab`|`function`|<span class='optional'>선택</span>|탭아이템 이동 완료 이벤트| |`events.enableTab`|`function`|<span class='optional'>선택</span>|탭아이템 활성화 설정 완료 이벤트| |`events.disableTab`|`function`|<span class='optional'>선택</span>|탭아이템 비활성화 설정 완료 이벤트| |`events.hideTab`|`function`|<span class='optional'>선택</span>|탭아이템 숨김 설정 완료 이벤트| |`events.showTab`|`function`|<span class='optional'>선택</span>|탭아이템 표시 설정 완료 이벤트| |`events.holdTab`|`function`|<span class='optional'>선택</span>|탭아이템 고정 설정 완료 이벤트| |`events.releaseTab`|`function`|<span class='optional'>선택</span>|탭아이템 고정 해제 설정 완료 이벤트| |`events.setContentsOptionsEnd`|`function`|<span class='optional'>선택</span>|콘텐츠아이템 설정 완료 이벤트| |`events.addContents`|`function`|<span class='optional'>선택</span>|콘텐츠아이템 추가 완료 이벤트| |`events.removeContents`|`function`|<span class='optional'>선택</span>|콘텐츠아이템 제거 완료 이벤트| |`events.goToContents`|`function`|<span class='optional'>선택</span>|콘텐츠아이템 이동 완료 이벤트| |`events.loadContents`|`function`|<span class='optional'>선택</span>|콘텐츠아이템 불러오기 완료 이벤트| ### Example ```javascript //탭 기본 속성 설정시 이벤트 설정 방법 myTab.setOptions({ events :{ \"setOptionsEnd\" : function(event) { console.log(\"설정 \" + event.type + \" 완료!\"); }, \"goTo\" : function(event) { console.log(\"설정 \" + event.type + \" 완료!\"); } } }); // setEventListener를 통한 이벤트 구현 방법. myTab.setEventListener(\"addContents\", function(event){ console.log(\"addContents\"); }); // setEvents method를 통한 이벤트 구현 방법. myTab.setEvents({ addContents: function(event) { console.log(\"addContents\"); } }); ``` ### 제공 버전 |version|desc| |---|---| |7.3.0.3||"
        },
        "url": "docs/event/event.html"
      },
      {
        "cid": 96,
        "sid": "addContents",
        "name": "addContents",
        "label": "addContents",
        "data": {
          "body": "> 콘텐츠 아이템이 추가될 때 발생하는 이벤트입니다. ### Info |Name|Type|Required|Description| |----------|-----|---|----| |event|`object`|<span class='optional'>선택</span>|이벤트 인자 객체| |event.type|`string`|<span class='optional'>선택</span>|이벤트 타입| |event.prop|`object`|<span class='optional'>선택</span>|추가된 콘텐츠아이템 속성 객체| |event.index|`number`|<span class='optional'>선택</span>|추가된 콘텐츠아이템 인덱스| ### Example ```javascript myTab.setEvents({ addContents: function(event) { console.log(\"addContents\"); return true; } }); myTab.setEventListener(\"addContents\", function(event){ console.log(\"addContents\"); return true; }); myTab.setOptions({ events : { addContents: function(event) { console.log(\"addContents\"); return true; } } }); ``` ### Since |version|desc| |---|---| |7.3.0.3||",
          "since": "|version|desc||---|---||7.3.0.3||"
        },
        "url": "docs/event/addContents.html"
      },
      {
        "cid": 97,
        "sid": "addTab-2",
        "name": "addTab",
        "label": "addTab",
        "data": {
          "body": "> 탭아이템이 추가될 때 발생하는 이벤트입니다. ### Info |Name|Type|Required|Description| |----------|-----|---|----| |event|`object`|<span class='optional'>선택</span>|이벤트 인자 객체| |event.type|`string`|<span class='optional'>선택</span>|이벤트 타입| |event.prop|`object`|<span class='optional'>선택</span>|추가된 탭아이템 속성 객체| |event.index|`number`|<span class='optional'>선택</span>|추가된 탭아이템 인덱스| ### Example ```javascript myTab.setEvents({ addTab: function(event) { //생성된 탭을 고정 시킴. myTab.holdTab(event.index); return true; } }); myTab.setEventListener(\"addTab\", function(event){ console.log(\"addTab\"); return true; }); myTab.setOptions({ events : { addTab: function(event) { console.log(\"addTab\"); return true; } } }); ``` ### Since |version|desc| |---|---| |7.3.0.3||",
          "since": "|version|desc||---|---||7.3.0.3||"
        },
        "url": "docs/event/addTab.html"
      },
      {
        "cid": 98,
        "sid": "beforeAddContents",
        "name": "beforeAddContents",
        "label": "beforeAddContents",
        "data": {
          "body": "> 콘텐츠아이템 추가 전에 발생하는 이벤트입니다.</br> > 콘텐츠아이템을 추가하기 전에 발생하는 이벤트입니다. ### Info |Name|Type|Required|Description| |----------|-----|---|----| |event|`object`|<span class='optional'>선택</span>|이벤트 인자 객체| |event.type|`string`|<span class='optional'>선택</span>|이벤트 타입| |event.prop|`object`|<span class='optional'>선택</span>|추가할 콘텐츠아이템 속성 객체| ### Example ```javascript myTab.setEvents({ beforeAddContents: function(event) { console.log(\"beforeAddContents\"); } }); myTab.setEventListener(\"beforeAddContents\", function(event){ console.log(\"beforeAddContents\"); }); myTab.setOptions({ events : { beforeAddContents: function(event) { console.log(\"beforeAddContents\"); } } }); ``` ### Since |version|desc| |---|---| |7.3.0.4||",
          "since": "|version|desc||---|---||7.3.0.4||"
        },
        "url": "docs/event/beforeAddContents.html"
      },
      {
        "cid": 99,
        "sid": "beforeAddTab",
        "name": "beforeAddTab",
        "label": "beforeAddTab",
        "data": {
          "body": "> 탭아이템 추가 전에 발생하는 이벤트입니다. </br> > 탭아이템을 추가하기 전에 발생하는 이벤트입니다. ### Info |Name|Type|Required|Description| |----------|-----|---|----| |event|`object`|<span class='optional'>선택</span>|이벤트 인자 객체| |event.type|`string`|<span class='optional'>선택</span>|이벤트 타입| |event.prop|`object`|<span class='optional'>선택</span>|추가할 탭아이템 속성 객체| ### Example ```javascript myTab.setEvents({ beforeAddTab: function(event) { //현재 탭 개수 확인. var cnt = myTab.tabs.getCountTab(); //생성된 탭이 5개 이하일 때 탭 생성 가능. if(cnt>4){ alert('탭은 5개까지만 생성됩니다.'); return false; } else return true; } }); myTab.setEventListener(\"beforeAddTab\", function(event){ console.log(\"beforeAddTab\"); return true; }); myTab.setOptions({ events : { beforeAddTab: function(event) { console.log(\"beforeAddTab\"); return true; } } }); ``` ### Since |version|desc| |---|---| |7.3.0.4||",
          "since": "|version|desc||---|---||7.3.0.4||"
        },
        "url": "docs/event/beforeAddTab.html"
      },
      {
        "cid": 100,
        "sid": "beforeDisableTab",
        "name": "beforeDisableTab",
        "label": "beforeDisableTab",
        "data": {
          "body": "> 탭아이템 비활성화전에 발생하는 이벤트입니다. > 탭아이템을 비활성화하기 전에 발생하는 이벤트입니다. ### Info |Name|Type|Required|Description| |----------|-----|---|----| |event|`object`|<span class='optional'>선택</span>|이벤트 인자 객체| |event.type|`string`|<span class='optional'>선택</span>|이벤트 타입| |event.item|`object`|<span class='optional'>선택</span>|비활성화할 탭아이템 객체| |event.indexContents|`number`|<span class='optional'>선택</span>|비활성화할 콘텐츠아이템의 인덱스| |event.index|`number`|<span class='optional'>선택</span>|비활성화할 탭아이템의 인덱스| |event.indexActive|`number`|<span class='optional'>선택</span>|현재 선택된 탭아이템의 인덱스| ### Example ```javascript var idx = myTab.tabs.getActiveTab(); var isHold = myTab.tabs.items(idx).getHold(); myTab.setEvents({ beforeDisableTab: function(event) { if(isHold) { alert('고정된 탭은 비활성화 할 수 없습니다'); return false; } else return true; } }); myTab.setEventListener(\"beforeDisableTab\", function(event){ console.log(\"beforeDisableTab\"); return true; }); myTab.setOptions({ events : { beforeDisableTab: function(event) { console.log(\"beforeDisableTab\"); return true; } } }); ``` ### Since |version|desc| |---|---| |7.3.0.4||",
          "since": "|version|desc||---|---||7.3.0.4||"
        },
        "url": "docs/event/beforeDisableTab.html"
      },
      {
        "cid": 101,
        "sid": "beforeEnableTab",
        "name": "beforeEnableTab",
        "label": "beforeEnableTab",
        "data": {
          "body": "> 탭아이템 활성화전에 발생하는 이벤트입니다. > 탭아이템을 활성화하기 전에 발생하는 이벤트입니다. ### Info |Name|Type|Required|Description| |----------|-----|---|----| |event|`object`|<span class='optional'>선택</span>|이벤트 인자 객체| |event.type|`string`|<span class='optional'>선택</span>|이벤트 타입| |event.item|`object`|<span class='optional'>선택</span>|활성화할 탭아이템 객체| |event.indexContents|`number`|<span class='optional'>선택</span>|활성화할 콘텐츠아이템의 인덱스| |event.index|`number`|<span class='optional'>선택</span>|활성화할 탭아이템의 인덱스| |event.indexActive|`number`|<span class='optional'>선택</span>|현재 선택된 탭아이템의 인덱스| ### Example ```javascript myTab.setEvents({ beforeEnableTab: function(event) { console.log(\"beforeEnableTab\"); return true; } }); myTab.setEventListener(\"beforeEnableTab\", function(event){ console.log(\"beforeEnableTab\"); return true; }); myTab.setOptions({ events : { beforeEnableTab: function(event) { console.log(\"beforeEnableTab\"); return true; } } }); ``` ### Since |version|desc| |---|---| |7.3.0.4||",
          "since": "|version|desc||---|---||7.3.0.4||"
        },
        "url": "docs/event/beforeEnableTab.html"
      },
      {
        "cid": 102,
        "sid": "beforeGoTo",
        "name": "beforeGoTo",
        "label": "beforeGoTo",
        "data": {
          "body": "> 이동 전에 발생하는 이벤트입니다. > IBTab의 콘텐츠아이템 및 탭아이템 이동하기 전에 발생하는 이벤트입니다. ### Info |Name|Type|Required|Description| |----------|-----|---|----| |event|`object`|<span class='optional'>선택</span>|이벤트 인자 객체| |event.type|`string`|<span class='optional'>선택</span>|이벤트 타입| |event.tabitem|`object`|<span class='optional'>선택</span>|이동할 탭아이템 객체| |event.contentsItem|`object`|<span class='optional'>선택</span>|이동할 콘텐츠아이템의 인덱스| |event.index|`number`|<span class='optional'>선택</span>|이동할 탭아이템의 인덱스| |event.indexActive|`number`|<span class='optional'>선택</span>|현재 선택된 탭아이템의 인덱스| ### Example ```javascript myTab.setEvents({ beforeGoTo: function(event) { console.log(\"beforeGoTo\"); return true; } }); myTab.setEventListener(\"beforeGoTo\", function(event){ console.log(\"beforeGoTo\"); return true; }); myTab.setOptions({ events : { beforeGoTo: function(event) { console.log(\"beforeGoTo\"); return true; } } }); ``` ### Since |version|desc| |---|---| |7.3.0.4||",
          "since": "|version|desc||---|---||7.3.0.4||"
        },
        "url": "docs/event/beforeGoTo.html"
      },
      {
        "cid": 103,
        "sid": "beforeGoToContents",
        "name": "beforeGoToContents",
        "label": "beforeGoToContents",
        "data": {
          "body": "> 콘텐츠아이템 이동 전에 발생하는 이벤트입니다. > 콘텐츠아이템으로 이동하기 전에 발생하는 이벤트입니다. ### Info |Name|Type|Required|Description| |----------|-----|---|----| |event|`object`|<span class='optional'>선택</span>|이벤트 인자 객체| |event.type|`string`|<span class='optional'>선택</span>|이벤트 타입| |event.item|`object`|<span class='optional'>선택</span>|이동할 콘텐츠아이템 객체| |event.index|`number`|<span class='optional'>선택</span>|이동할 콘텐츠아이템의 인덱스| |event.indexActive|`number`|<span class='optional'>선택</span>|현재 선택된 탭아이템의 인덱스| ### Example ```javascript myTab.setEvents({ beforeGoToContents: function(event) { console.log(\"beforeGoToContents\"); return true; } }); myTab.setEventListener(\"beforeGoToContents\", function(event){ console.log(\"beforeGoToContents\"); return true; }); myTab.setOptions({ events : { beforeGoToContents: function(event) { console.log(\"beforeGoToContents\"); return true; } } }); ``` ### Since |version|desc| |---|---| |7.3.0.4||",
          "since": "|version|desc||---|---||7.3.0.4||"
        },
        "url": "docs/event/beforeGoToContents.html"
      },
      {
        "cid": 104,
        "sid": "beforeGoToTab",
        "name": "beforeGoToTab",
        "label": "beforeGoToTab",
        "data": {
          "body": "> 탭아이템 이동 전에 발생하는 이벤트입니다. > 탭아이템 이동하기 전에 발생하는 이벤트입니다. ### Info |Name|Type|Required|Description| |----------|-----|---|----| |event|`object`|<span class='optional'>선택</span>|이벤트 인자 객체| |event.type|`string`|<span class='optional'>선택</span>|이벤트 타입| |event.item|`object`|<span class='optional'>선택</span>|이동할 탭아이템 객체| |event.index|`number`|<span class='optional'>선택</span>|이동할 탭아이템 인덱스| |event.indexActive|`number`|<span class='optional'>선택</span>|현재 선택된 탭아이템의 인덱스| ### Example ```javascript myTab.setEvents({ beforeGoToTab: function(event) { console.log(\"beforeGoToTab\"); return true; } }); myTab.setEventListener(\"beforeGoToTab\", function(event){ console.log(\"beforeGoToTab\"); return true; }); myTab.setOptions({ events : { beforeGoToTab: function(event) { console.log(\"beforeGoToTab\"); return true; } } }); ``` ### Since |version|desc| |---|---| |7.3.0.4||",
          "since": "|version|desc||---|---||7.3.0.4||"
        },
        "url": "docs/event/beforeGoToTab.html"
      },
      {
        "cid": 105,
        "sid": "beforeHideTab",
        "name": "beforeHideTab",
        "label": "beforeHideTab",
        "data": {
          "body": "> 탭아이템 숨김 전에 발생하는 이벤트입니다. > 탭아이템 숨기기 전에 발생하는 이벤트입니다. ### Info |Name|Type|Required|Description| |----------|-----|---|----| |event|`object`|<span class='optional'>선택</span>|이벤트 인자 객체| |event.type|`string`|<span class='optional'>선택</span>|이벤트 타입| |event.item|`object`|<span class='optional'>선택</span>|숨길 탭아이템 객체| |event.indexContents|`number`|<span class='optional'>선택</span>|숨길 콘텐츠아이템의 인덱스| |event.index|`number`|<span class='optional'>선택</span>|숨길 탭아이템의 인덱스| |event.indexActive|`number`|<span class='optional'>선택</span>|현재 선택된 탭아이템의 인덱스| ### Example ```javascript myTab.setEvents({ beforeHideTab: function (event) { //현재 보여지는 탭 아이템 개수. var cnt = myTab.tabs.getCountVisible(); //보여지는 탭 개수가 2개 이상 일때만 숨김처리. if (cnt > 1) return true; else { alert(\"탭은 최소한 한개 이상 보여져야 합니다.\"); return false; } }, }); myTab.setEventListener(\"beforeHideTab\", function (event) { console.log(\"beforeHideTab\"); return true; }); myTab.setOptions({ events: { beforeHideTab: function (event) { console.log(\"beforeHideTab\"); return true; }, }, }); ``` ### Since |version|desc| |---|---| |7.3.0.4||",
          "since": "|version|desc||---|---||7.3.0.4||"
        },
        "url": "docs/event/beforeHideTab.html"
      },
      {
        "cid": 106,
        "sid": "beforeHoldTab",
        "name": "beforeHoldTab",
        "label": "beforeHoldTab",
        "data": {
          "body": "> 탭아이템 고정 전에 발생하는 이벤트입니다. > 탭아이템 고정시키기 전에 발생하는 이벤트입니다. ### Info |Name|Type|Required|Description| |----------|-----|---|----| |event|`object`|<span class='optional'>선택</span>|이벤트 인자 객체| |event.type|`string`|<span class='optional'>선택</span>|이벤트 타입| |event.item|`object`|<span class='optional'>선택</span>|고정 시킬 탭아이템 객체| |event.indexContents|`number`|<span class='optional'>선택</span>|고정 시킬 콘텐츠아이템의 인덱스| |event.index|`number`|<span class='optional'>선택</span>|고정 시킬 탭아이템의 인덱스| |event.indexActive|`number`|<span class='optional'>선택</span>|현재 선택된 탭아이템의 인덱스| ### Example ```javascript myTab.setEvents({ beforeHoldTab: function (event) { //고정시 탭 타이틀 변경. event.item.setTitle(\"고정된 탭\"); return true; }, }); myTab.setEventListener(\"beforeHoldTab\", function (event) { console.log(\"beforeHoldTab\"); return true; }); myTab.setOptions({ events: { beforeHoldTab: function (event) { console.log(\"beforeHoldTab\"); return true; }, }, }); ``` ### Since |version|desc| |---|---| |7.3.0.4||",
          "since": "|version|desc||---|---||7.3.0.4||"
        },
        "url": "docs/event/beforeHoldTab.html"
      },
      {
        "cid": 107,
        "sid": "beforeLoadContents",
        "name": "beforeLoadContents",
        "label": "beforeLoadContents",
        "data": {
          "body": "> 콘텐츠아이템 불러오기 전에 발생하는 이벤트입니다. > 콘텐츠아이템의 내용을 불러오기 전에 발생하는 이벤트입니다. 콘텐츠아이템마다 한번씩만 호출 됩니다. `정적으로 DOM 구성시에는 발생하지 않음` ### Info |Name|Type|Required|Description| |----------|-----|---|----| |event|`object`|<span class='optional'>선택</span>|이벤트 인자 객체| |event.type|`string`|<span class='optional'>선택</span>|이벤트 타입| |event.item|`object`|<span class='optional'>선택</span>|불러올 콘텐츠아이템 객체| |event.index|`number`|<span class='optional'>선택</span>|현재 선택된 탭아이템의 인덱스| |event.element|`object`|<span class='optional'>선택</span>|불러올 콘텐츠아이템의 DOM 개체| |event.prop|`object`|<span class='optional'>선택</span>|불러올 콘텐츠아이템의 속성 객체| ### Example ```javascript myTab.setEvents({ beforeLoadContents: function (event) { console.log(\"beforeLoadContents\"); return true; }, }); myTab.setEventListener(\"beforeLoadContents\", function (event) { console.log(\"beforeLoadContents\"); return true; }); myTab.setOptions({ events: { beforeLoadContents: function (event) { console.log(\"beforeLoadContents\"); return true; }, }, }); ``` ### Since |version|desc| |---|---| |7.3.0.4||",
          "since": "|version|desc||---|---||7.3.0.4||"
        },
        "url": "docs/event/beforeLoadContents.html"
      },
      {
        "cid": 108,
        "sid": "beforeReleaseTab",
        "name": "beforeReleaseTab",
        "label": "beforeReleaseTab",
        "data": {
          "body": "> 탭아이템 고정해제 전에 발생하는 이벤트입니다. > 탭아이템의 고정 상태를 해제시키기 전에 발생하는 이벤트입니다. ### Info |Name|Type|Required|Description| |----------|-----|---|----| |event|`object`|<span class='optional'>선택</span>|이벤트 인자 객체| |event.type|`string`|<span class='optional'>선택</span>|이벤트 타입| |event.item|`object`|<span class='optional'>선택</span>|고정해제될 콘텐츠아이템 객체| |event.indexContents|`number`|<span class='optional'>선택</span>|고정해제될 콘텐츠아이템의 인덱스| |event.index|`number`|<span class='optional'>선택</span>|고정해제될 탭아이템의 인덱스| |event.indexActive|`number`|<span class='optional'>선택</span>|현재 선택된 탭아이템의 인덱스| ### Example ```javascript myTab.setEvents({ beforeReleaseTab: function (event) { console.log(\"beforeReleaseTab\"); return true; }, }); myTab.setEventListener(\"beforeReleaseTab\", function (event) { console.log(\"beforeReleaseTab\"); return true; }); myTab.setOptions({ events: { beforeReleaseTab: function (event) { console.log(\"beforeReleaseTab\"); return true; }, }, }); ``` ### Since |version|desc| |---|---| |7.3.0.4||",
          "since": "|version|desc||---|---||7.3.0.4||"
        },
        "url": "docs/event/beforeReleaseTab.html"
      },
      {
        "cid": 109,
        "sid": "beforeRemove",
        "name": "beforeRemove",
        "label": "beforeRemove",
        "data": {
          "body": "> 아이템(탭, 콘텐츠) 제거 전에 발생하는 이벤트입니다. > 아이템들을 제거하기 전에 발생하는 이벤트입니다. ### Info |Name|Type|Required|Description| |----------|-----|---|----| |event|`object`|<span class='optional'>선택</span>|이벤트 인자 객체| |event.type|`string`|<span class='optional'>선택</span>|이벤트 타입| |event.item|`object`|<span class='optional'>선택</span>|제거할 탭아이템 객체| |event.indexContents|`number`|<span class='optional'>선택</span>|제거할 콘텐츠아이템의 인덱스| |event.index|`number`|<span class='optional'>선택</span>|제거할 탭아이템의 인덱스| |event.indexActive|`number`|<span class='optional'>선택</span>|현재 선택된 탭아이템의 인덱스| ### return <mark>**주 의**</mark> true를 리턴 시 **정상진행**(텝을 닫음), false 리턴 시 닫기 중단. ### Example ```javascript myTab.setEvents({ beforeRemove: function(event) { var idx = event.index; //첫 탭이 아닌 경우에만 제거 if(idx != 0) return true; else{ alert(‘첫번째 탭은 제거할 수 없습니다.’); return false; } } }); myTab.setEventListener(\"beforeRemove\", function(event){ console.log(\"beforeRemove\"); return true; }); myTab.setOptions({ events : { beforeRemove: function(event) { console.log(\"beforeRemove\"); return true; } } }); ``` ### Since |version|desc| |---|---| |7.3.0.4||",
          "since": "|version|desc||---|---||7.3.0.4||"
        },
        "url": "docs/event/beforeRemove.html"
      },
      {
        "cid": 110,
        "sid": "beforeRemoveContents",
        "name": "beforeRemoveContents",
        "label": "beforeRemoveContents",
        "data": {
          "body": "> 콘텐츠아이템 제거 전에 발생하는 이벤트입니다. > 콘텐츠아이템을 제거하기 전에 발생하는 이벤트입니다. ### Info |Name|Type|Required|Description| |----------|-----|---|----| |event|`object`|<span class='optional'>선택</span>|이벤트 인자 객체| |event.type|`string`|<span class='optional'>선택</span>|이벤트 타입| |event.item|`object`|<span class='optional'>선택</span>|제거할 콘텐츠아이템 객체| |event.index|`number`|<span class='optional'>선택</span>|제거할 콘텐츠아이템의 인덱스| |event.indexActive|`number`|<span class='optional'>선택</span>|현재 선택된 탭아이템의 인덱스| ### Example ```javascript myTab.setEvents({ beforeRemoveContents: function (event) { console.log(\"beforeRemoveContents\"); return true; }, }); myTab.setEventListener(\"beforeRemoveContents\", function (event) { console.log(\"beforeRemoveContents\"); return true; }); myTab.setOptions({ events: { beforeRemoveContents: function (event) { console.log(\"beforeRemoveContents\"); return true; }, }, }); ``` ### Since |version|desc| |---|---| |7.3.0.4||",
          "since": "|version|desc||---|---||7.3.0.4||"
        },
        "url": "docs/event/beforeRemoveContents.html"
      },
      {
        "cid": 111,
        "sid": "beforeRemoveTab",
        "name": "beforeRemoveTab",
        "label": "beforeRemoveTab",
        "data": {
          "body": "> 탭아이템 제거 전에 발생하는 이벤트입니다. > 탭아이템들을 제거하기 전에 발생하는 이벤트입니다. ### Info |Name|Type|Required|Description| |----------|-----|---|----| |event|`object`|<span class='optional'>선택</span>|이벤트 인자 객체| |event.type|`string`|<span class='optional'>선택</span>|이벤트 타입| |event.item|`object`|<span class='optional'>선택</span>|제거할 탭아이템 객체| |event.indexContents|`number`|<span class='optional'>선택</span>|제거할 콘텐츠아이템의 인덱스| |event.index|`number`|<span class='optional'>선택</span>|제거할 탭아이템의 인덱스| |event.indexActive|`number`|<span class='optional'>선택</span>|현재 선택된 탭아이템의 인덱스| ### Example ```javascript myTab.setEvents({ beforeRemoveTab: function (event) { console.log(\"beforeRemoveTab\"); return true; }, }); myTab.setEventListener(\"beforeRemoveTab\", function (event) { console.log(\"beforeRemoveTab\"); return true; }); myTab.setOptions({ events: { beforeRemoveTab: function (event) { console.log(\"beforeRemoveTab\"); return true; }, }, }); ``` ### Since |version|desc| |---|---| |7.3.0.4||",
          "since": "|version|desc||---|---||7.3.0.4||"
        },
        "url": "docs/event/beforeRemoveTab.html"
      },
      {
        "cid": 112,
        "sid": "beforeShowTab",
        "name": "beforeShowTab",
        "label": "beforeShowTab",
        "data": {
          "body": "> 탭아이템 표시 설정 전에 발생하는 이벤트입니다. > 탭아이템들을 표시하기 전에 발생하는 이벤트입니다. ### Info |Name|Type|Required|Description| |----------|-----|---|----| |event|`object`|<span class='optional'>선택</span>|이벤트 인자 객체| |event.type|`string`|<span class='optional'>선택</span>|이벤트 타입| |event.item|`object`|<span class='optional'>선택</span>|표시할 탭아이템 객체| |event.indexContents|`number`|<span class='optional'>선택</span>|표시할 콘텐츠아이템의 인덱스| |event.index|`number`|<span class='optional'>선택</span>|표시할 탭아이템의 인덱스| |event.indexActive|`number`|<span class='optional'>선택</span>|현재 선택된 탭아이템의 인덱스| ### Example ```javascript myTab.setEvents({ beforeShowTab: function (event) { console.log(\"beforeShowTab\"); return true; }, }); myTab.setEventListener(\"beforeShowTab\", function (event) { console.log(\"beforeShowTab\"); return true; }); myTab.setOptions({ events: { beforeShowTab: function (event) { console.log(\"beforeShowTab\"); return true; }, }, }); ``` ### Since |version|desc| |---|---| |7.3.0.4||",
          "since": "|version|desc||---|---||7.3.0.4||"
        },
        "url": "docs/event/beforeShowTab.html"
      },
      {
        "cid": 113,
        "sid": "clickTab",
        "name": "clickTab",
        "label": "clickTab",
        "data": {
          "body": "> 탭아이템 클릭 이벤트입니다. > 탭아이템들을 클릭할 때 발생합니다. ### Info |Name|Type|Required|Description| |----------|-----|---|----| |event|`object`|<span class='optional'>선택</span>|이벤트 인자 객체| |event.type|`string`|<span class='optional'>선택</span>|이벤트 타입| |event.item|`object`|<span class='optional'>선택</span>|클릭할 탭아이템 객체| |event.index|`number`|<span class='optional'>선택</span>|클릭할 탭아이템의 인덱스| ### Example ```javascript myTab.setEvents({ clickTab: function (event) { console.log(\"clickTab\"); return true; }, }); myTab.setEventListener(\"clickTab\", function (event) { console.log(\"clickTab\"); return true; }); myTab.setOptions({ events: { clickTab: function (event) { console.log(\"clickTab\"); return true; }, }, }); ``` ### Since |version|desc| |---|---| |7.3.0.4||",
          "since": "|version|desc||---|---||7.3.0.4||"
        },
        "url": "docs/event/clickTab.html"
      },
      {
        "cid": 114,
        "sid": "disableTab-2",
        "name": "disableTab",
        "label": "disableTab",
        "data": {
          "body": "> 탭아이템이 비활성화될 때 발생하는 이벤트입니다. ### Info |Name|Type|Required|Description| |----------|-----|---|----| |event|`object`|<span class='optional'>선택</span>|이벤트 인자 객체| |event.type|`string`|<span class='optional'>선택</span>|이벤트 타입| |event.item|`object`|<span class='optional'>선택</span>|비활성화된 탭아이템 객체| |event.index|`number`|<span class='optional'>선택</span>|비활성화된 탭아이템의 인덱스| ### Example ```javascript myTab.setEvents({ disableTab: function (event) { console.log(\"disableTab\"); }, }); myTab.setEventListener(\"disableTab\", function (event) { console.log(\"disableTab\"); }); myTab.setOptions({ events: { disableTab: function (event) { console.log(\"disableTab\"); }, }, }); ``` ### Since |version|desc| |---|---| |7.3.0.3||",
          "since": "|version|desc||---|---||7.3.0.3||"
        },
        "url": "docs/event/disableTab.html"
      },
      {
        "cid": 115,
        "sid": "enableTab-2",
        "name": "enableTab",
        "label": "enableTab",
        "data": {
          "body": "> 탭아이템이 활성화될 때 발생하는 이벤트입니다. ### Info |Name|Type|Required|Description| |----------|-----|---|----| |event|`object`|<span class='optional'>선택</span>|이벤트 인자 객체| |event.type|`string`|<span class='optional'>선택</span>|이벤트 타입| |event.item|`object`|<span class='optional'>선택</span>|활성화된 탭아이템 객체| |event.index|`number`|<span class='optional'>선택</span>|활성화된 탭아이템의 인덱스| ### Example ```javascript myTab.setEvents({ enableTab: function (event) { console.log(\"enableTab\"); }, }); myTab.setEventListener(\"enableTab\", function (event) { console.log(\"enableTab\"); }); myTab.setOptions({ events: { enableTab: function (event) { console.log(\"enableTab\"); }, }, }); ``` ### Since |version|desc| |---|---| |7.3.0.3||",
          "since": "|version|desc||---|---||7.3.0.3||"
        },
        "url": "docs/event/enableTab.html"
      },
      {
        "cid": 117,
        "sid": "goTo",
        "name": "goTo",
        "label": "goTo",
        "data": {
          "body": "> IBTab의 콘텐츠아이템 및 탭아이템 이동이 모두 완료된 후에 발생하는 이벤트입니다. ### Info |Name|Type|Required|Description| |----------|-----|---|----| |event|`object`|<span class='optional'>선택</span>|이벤트 인자 객체| |event.type|`string`|<span class='optional'>선택</span>|이벤트 타입| |event.tabitem|`object`|<span class='optional'>선택</span>|이동된 탭아이템 객체| |event.contentsItem|`object`|<span class='optional'>선택</span>|이동된 콘텐츠아이템 객체| |event.index|`number`|<span class='optional'>선택</span>|이동된 탭아이템의 인덱스| ### Example ```javascript myTab.setEvents({ goTo: function (event) { console.log(\"goTo\"); }, }); myTab.setEventListener(\"goTo\", function (event) { console.log(\"goTo\"); }); myTab.setOptions({ events: { goTo: function (event) { console.log(\"goTo\"); }, }, }); ``` ### Since |version|desc| |---|---| |7.3.0.3||",
          "since": "|version|desc||---|---||7.3.0.3||"
        },
        "url": "docs/event/goTo.html"
      },
      {
        "cid": 118,
        "sid": "goToContents",
        "name": "goToContents",
        "label": "goToContents",
        "data": {
          "body": "> 콘텐츠아이템으로 이동 완료 되었을때 발생하는 이벤트 ### Info |Name|Type|Required|Description| |----------|-----|---|----| |event|`object`|<span class='optional'>선택</span>|이벤트 인자 객체| |event.type|`string`|<span class='optional'>선택</span>|이벤트 타입| |event.item|`object`|<span class='optional'>선택</span>|이동된 콘텐츠아이템 객체| |event.index|`number`|<span class='optional'>선택</span>|이동된 콘텐츠아이템 인덱스| ### Example ```javascript myTab.setEvents({ goToContents: function (event) { console.log(\"goToContents\"); }, }); myTab.setEventListener(\"goToContents\", function (event) { console.log(\"goToContents\"); }); myTab.setOptions({ events: { goToContents: function (event) { console.log(\"goToContents\"); }, }, }); ``` ### Since |version|desc| |---|---| |7.3.0.3||",
          "since": "|version|desc||---|---||7.3.0.3||"
        },
        "url": "docs/event/goToContents.html"
      },
      {
        "cid": 119,
        "sid": "goToTab-2",
        "name": "goToTab",
        "label": "goToTab",
        "data": {
          "body": "> 탭아이템 이동 완료 이벤트 입니다. > 탭아이템으로 이동 완료 되었을 때 발생하는 이벤트 입니다. ### Info |Name|Type|Required|Description| |----------|-----|---|----| |event|`object`|<span class='optional'>선택</span>|이벤트 인자 객체| |event.type|`string`|<span class='optional'>선택</span>|이벤트 타입| |event.item|`object`|<span class='optional'>선택</span>|이동된 탭아이템 객체| |event.index|`number`|<span class='optional'>선택</span>|이동된 탭아이템 인덱스| ### Example ```javascript myTab.setEvents({ goToTab: function (event) { console.log(\"goToTab\"); }, }); myTab.setEventListener(\"goToTab\", function (event) { console.log(\"goToTab\"); }); myTab.setOptions({ events: { goToTab: function (event) { console.log(\"goToTab\"); }, }, }); ``` ### Since |version|desc| |---|---| |7.3.0.3||",
          "since": "|version|desc||---|---||7.3.0.3||"
        },
        "url": "docs/event/goToTab.html"
      },
      {
        "cid": 120,
        "sid": "hideTab-2",
        "name": "hideTab",
        "label": "hideTab",
        "data": {
          "body": "> 탭아이템이 숨겨질 때 발생하는 이벤트 입니다. ### Info |Name|Type|Required|Description| |----------|-----|---|----| |event|`object`|<span class='optional'>선택</span>|이벤트 인자 객체| |event.type|`string`|<span class='optional'>선택</span>|이벤트 타입| |event.item|`object`|<span class='optional'>선택</span>|숨겨진 탭아이템 객체| |event.index|`number`|<span class='optional'>선택</span>|숨겨진 탭아이템 인덱스| ### Example ```javascript myTab.setEvents({ hideTab: function (event) { console.log(\"hideTab\"); }, }); myTab.setEventListener(\"hideTab\", function (event) { console.log(\"hideTab\"); }); myTab.setOptions({ events: { hideTab: function (event) { console.log(\"hideTab\"); }, }, }); ``` ### Since |version|desc| |---|---| |7.3.0.3||",
          "since": "|version|desc||---|---||7.3.0.3||"
        },
        "url": "docs/event/hideTab.html"
      },
      {
        "cid": 121,
        "sid": "holdTab-2",
        "name": "holdTab",
        "label": "holdTab",
        "data": {
          "body": "> 탭아이템을 고정 시킬 때 발생하는 이벤트 입니다. ### Info |Name|Type|Required|Description| |----------|-----|---|----| |event|`object`|<span class='optional'>선택</span>|이벤트 인자 객체| |event.type|`string`|<span class='optional'>선택</span>|이벤트 타입| |event.item|`object`|<span class='optional'>선택</span>|고정된 탭아이템 객체| |event.index|`number`|<span class='optional'>선택</span>|고정된 탭아이템 인덱스| ### Example ```javascript myTab.setEvents({ holdTab: function (event) { console.log(\"holdTab\"); }, }); myTab.setEventListener(\"holdTab\", function (event) { console.log(\"holdTab\"); }); myTab.setOptions({ events: { holdTab: function (event) { console.log(\"holdTab\"); }, }, }); ``` ### Since |version|desc| |---|---| |7.3.0.3||",
          "since": "|version|desc||---|---||7.3.0.3||"
        },
        "url": "docs/event/holdTab.html"
      },
      {
        "cid": 122,
        "sid": "loadContents",
        "name": "loadContents",
        "label": "loadContents",
        "data": {
          "body": "> 콘텐츠아이템의 내용을 불러온 후 발생하는 이벤트입니다. > 콘텐츠아이템마다 한번씩만 호출됩니다 `정적으로 DOM을 구성할때는 발생하지 않음` ### Info |Name|Type|Required|Description| |----------|-----|---|----| |event|`object`|<span class='optional'>선택</span>|이벤트 인자 객체| |event.type|`string`|<span class='optional'>선택</span>|이벤트 타입| |event.item|`object`|<span class='optional'>선택</span>|불러온 콘텐츠아이템 객체| |event.data|`string`|<span class='optional'>선택</span>|불러온 콘텐츠아이템 데이터| |event.index|`number`|<span class='optional'>선택</span>|불러온 콘텐츠아이템 인덱스| ### Example ```javascript myTab.setEvents({ loadContents: function (event) { console.log(\"loadContents\"); }, }); myTab.setEventListener(\"loadContents\", function (event) { console.log(\"loadContents\"); }); myTab.setOptions({ events: { loadContents: function (event) { console.log(\"loadContents\"); }, }, }); ``` ### Since |version|desc| |---|---| |7.3.0.3||",
          "since": "|version|desc||---|---||7.3.0.3||"
        },
        "url": "docs/event/loadContents.html"
      },
      {
        "cid": 123,
        "sid": "releaseTab-2",
        "name": "releaseTab",
        "label": "releaseTab",
        "data": {
          "body": "> 탭아이템의 고정 상태를 해제할 때 발생하는 이벤트 입니다. ### Info |Name|Type|Required|Description| |----------|-----|---|----| |event|`object`|<span class='optional'>선택</span>|이벤트 인자 객체| |event.type|`string`|<span class='optional'>선택</span>|이벤트 타입| |event.item|`object`|<span class='optional'>선택</span>|고정해제된 탭아이템 객체| |event.index|`number`|<span class='optional'>선택</span>|고정해제된 탭아이템 인덱스| ### Example ```javascript myTab.setEvents({ releaseTab: function (event) { console.log(\"releaseTab\"); }, }); myTab.setEventListener(\"releaseTab\", function (event) { console.log(\"releaseTab\"); }); myTab.setOptions({ events: { releaseTab: function (event) { console.log(\"releaseTab\"); }, }, }); ``` ### Since |version|desc| |---|---| |7.3.0.3||",
          "since": "|version|desc||---|---||7.3.0.3||"
        },
        "url": "docs/event/releaseTab.html"
      },
      {
        "cid": 124,
        "sid": "removeContents",
        "name": "removeContents",
        "label": "removeContents",
        "data": {
          "body": "> 콘텐츠아이템이 제거될 때 발생하는 이벤트입니다. ### Info |Name|Type|Required|Description| |----------|-----|---|----| |event|`object`|<span class='optional'>선택</span>|이벤트 인자 객체| |event.type|`string`|<span class='optional'>선택</span>|이벤트 타입| |event.index|`number`|<span class='optional'>선택</span>|제거된 콘텐츠아이템 인덱스| ### Example ```javascript myTab.setEvents({ removeContents: function (event) { console.log(\"removeContents\"); }, }); myTab.setEventListener(\"removeContents\", function (event) { console.log(\"removeContents\"); }); myTab.setOptions({ events: { removeContents: function (event) { console.log(\"removeContents\"); }, }, }); ``` ### Since |version|desc| |---|---| |7.3.0.3||",
          "since": "|version|desc||---|---||7.3.0.3||"
        },
        "url": "docs/event/removeContents.html"
      },
      {
        "cid": 125,
        "sid": "removeTab-2",
        "name": "removeTab",
        "label": "removeTab",
        "data": {
          "body": "> 탭아이템이 제거될 때 발생하는 이벤트 입니다. ### Info |Name|Type|Required|Description| |----------|-----|---|----| |event|`object`|<span class='optional'>선택</span>|이벤트 인자 객체| |event.type|`string`|<span class='optional'>선택</span>|이벤트 타입| |event.index|`number`|<span class='optional'>선택</span>|제거된 탭아이템 인덱스| ### Example ```javascript myTab.setEvents({ removeTab: function (event) { console.log(\"removeTab\"); }, }); myTab.setEventListener(\"removeTab\", function (event) { console.log(\"removeTab\"); }); myTab.setOptions({ events: { removeTab: function (event) { console.log(\"removeTab\"); }, }, }); ``` ### Since |version|desc| |---|---| |7.3.0.3||",
          "since": "|version|desc||---|---||7.3.0.3||"
        },
        "url": "docs/event/removeTab.html"
      },
      {
        "cid": 126,
        "sid": "setContentsOptionsEnd",
        "name": "setContentsOptionsEnd",
        "label": "setContentsOptionsEnd",
        "data": {
          "body": "> 콘텐츠아이템의 설정만 변경되었을때 발생하는 이벤트입니다. ### Info |Name|Type|Required|Description| |----------|-----|---|----| |event|`object`|<span class='optional'>선택</span>|이벤트 인자 객체| |event.type|`string`|<span class='optional'>선택</span>|이벤트 타입| |event.prop|`object`|<span class='optional'>선택</span>|설정된 속성 타입| |event.opt|`number`|<span class='optional'>선택</span>|설정된 옵션 객체| ### Example ```javascript myTab.setEvents({ setContentsOptionsEnd: function (event) { console.log(\"setContentsOptionsEnd\"); }, }); myTab.setEventListener(\"setContentsOptionsEnd\", function (event) { console.log(\"setContentsOptionsEnd\"); }); myTab.setOptions({ events: { setContentsOptionsEnd: function (event) { console.log(\"setContentsOptionsEnd\"); }, }, }); ``` ### Since |version|desc| |---|---| |7.3.0.3||",
          "since": "|version|desc||---|---||7.3.0.3||"
        },
        "url": "docs/event/setContentsOptionsEnd.html"
      },
      {
        "cid": 127,
        "sid": "setOptionsEnd",
        "name": "setOptionsEnd",
        "label": "setOptionsEnd",
        "data": {
          "body": "> IBTab 객체 전체의 속성을 변경하는 `setOptions` 메소드를 호출해서 속성을 변경할때 발생하는 이벤트입니다. > `설정 완료 이벤트` ### Info |Name|Type|Required|Description| |----------|-----|---|----| |event|`object`|<span class='optional'>선택</span>|이벤트 인자 객체| |event.type|`string`|<span class='optional'>선택</span>|이벤트 타입| |event.prop|`object`|<span class='optional'>선택</span>|설정된 속성 타입| |event.opt|`number`|<span class='optional'>선택</span>|설정된 옵션 객체| ### Example ```javascript myTab.setEvents({ setOptionsEnd: function (event) { console.log(\"setOptionsEnd\"); }, }); myTab.setEventListener(\"setOptionsEnd\", function (event) { console.log(\"setOptionsEnd\"); }); myTab.setOptions({ events: { setOptionsEnd: function (event) { console.log(\"setOptionsEnd\"); }, }, }); ``` ### Since |version|desc| |---|---| |7.3.0.3||",
          "since": "|version|desc||---|---||7.3.0.3||"
        },
        "url": "docs/event/setOptionsEnd.html"
      },
      {
        "cid": 128,
        "sid": "setTabsOptionsEnd",
        "name": "setTabsOptionsEnd",
        "label": "setTabsOptionsEnd",
        "data": {
          "body": "> 탭아이템의 설정만 변경되었을 때 발생하는 이벤트입니다. > `탭아이템 설정 완료 이벤트` ### Info |Name|Type|Required|Description| |----------|-----|---|----| |event|`object`|<span class='optional'>선택</span>|이벤트 인자 객체| |event.type|`string`|<span class='optional'>선택</span>|이벤트 타입| |event.prop|`object`|<span class='optional'>선택</span>|설정된 속성 타입| |event.opt|`number`|<span class='optional'>선택</span>|설정된 옵션 객체| ### Example ```javascript myTab.setEvents({ setTabsOptionsEnd: function (event) { console.log(\"setTabsOptionsEnd\"); }, }); myTab.setEventListener(\"setTabsOptionsEnd\", function (event) { console.log(\"setTabsOptionsEnd\"); }); myTab.setOptions({ events: { setTabsOptionsEnd: function (event) { console.log(\"setTabsOptionsEnd\"); }, }, }); ``` ### Since |version|desc| |---|---| |7.3.0.3||",
          "since": "|version|desc||---|---||7.3.0.3||"
        },
        "url": "docs/event/setTabsOptionsEnd.html"
      },
      {
        "cid": 129,
        "sid": "showTab-2",
        "name": "showTab",
        "label": "showTab",
        "data": {
          "body": "> 탭아이템이 보여질 때 발생하는 이벤트입니다. > `탭아이템 표시 설정 완료 이벤트` ### Info |Name|Type|Required|Description| |----------|-----|---|----| |event|`object`|<span class='optional'>선택</span>|이벤트 인자 객체| |event.type|`string`|<span class='optional'>선택</span>|이벤트 타입| |event.item|`object`|<span class='optional'>선택</span>|보여진 탭아이템 객체| |event.index|`number`|<span class='optional'>선택</span>|보여진 탭아이템 인덱스| ### Example ```javascript myTab.setEvents({ showTab: function (event) { console.log(\"showTab\"); }, }); myTab.setEventListener(\"showTab\", function (event) { console.log(\"showTab\"); }); myTab.setOptions({ events: { showTab: function (event) { console.log(\"showTab\"); }, }, }); ``` ### Since |version|desc| |---|---| |7.3.0.3||",
          "since": "|version|desc||---|---||7.3.0.3||"
        },
        "url": "docs/event/showTab.html"
      }
    ]
  }
];
